Index: trunk/dports/devel/viewcvs/Portfile
===================================================================
--- trunk/dports/devel/viewcvs/Portfile	(revision 1190)
+++ trunk/dports/devel/viewcvs/Portfile	(revision 1190)
@@ -0,0 +1,51 @@
+PortSystem 1.0
+name		viewcvs
+version		0.9.2
+revision	0
+categories	devel www
+maintainers	jpm@opendarwin.org
+description	Viewing the content of CVS repositories with a Webbrowser
+long_description	ViewCVS was inspired by cvsweb (Zeller's version).  ViewCVS can browse directories, change logs, and specific revisions of files. It can display diffs between versions and show selections of files based on tags or branches. In addition, ViewCVS has "annotation" or "blame" support, and the beginnings of Bonsai-like query facilities. 
+platforms	darwin
+master_sites	http://unc.dl.sourceforge.net/sourceforge/viewcvs/ \
+		http://telia.dl.sourceforge.net/sourceforge/viewcvs/ \
+		http://easynews.dl.sourceforge.net/sourceforge/viewcvs/ \
+		http://umn.dl.sourceforge.net/sourceforge/viewcvs/ \
+		http://twtelecom.dl.sourceforge.net/sourceforge/viewcvs/ \
+		http://belnet.dl.sourceforge.net/sourceforge/viewcvs/ \
+		http://switch.dl.sourceforge.net/sourceforge/viewcvs/ \
+		http://cesnet.dl.sourceforge.net/sourceforge/viewcvs/
+checksums	md5 c7857b1ed05240ad1f691ea40044daf2
+patch {
+	reinplace "s|\"/usr/local/viewcvs-\" + version|\"${prefix}/viewcvs\"|g" "${worksrcpath}/viewcvs-install"
+	reinplace "s|temp = raw_input(\"Installation|temp = \"\"##raw_input|g" "${worksrcpath}/viewcvs-install"
+	reinplace "s|temp = raw_input(|temp = \"o\"##|g" "${worksrcpath}/viewcvs-install"
+}
+configure	{}
+build		{}
+build.cmd	./viewcvs-install
+post-install {
+	
+	switch ${os.platform} {
+		darwin {
+			set cgi_path "/Library/WebServer/CGI-Executables/"
+		} freebsd {
+			set cgi_path "/usr/local/www/cgi-bin/"
+		} default {
+			puts stdout "and it was like, beep beep beep beep beep..."
+		}
+	}
+	
+	# apache port interop
+	if {[ file exists ${prefix}/sbin/httpd]} {
+		set cgi_path "${prefix}/www/cgi-bin/"
+   	}
+
+	system "install -o root -m 755 ${prefix}/viewcvs/cgi/query.cgi ${cgi_path}"
+	system "install -o root -m 755 ${prefix}/viewcvs/cgi/viewcvs.cgi ${cgi_path}"
+	
+	#contents-append	\
+	#	${cgi_path}query.cgi \
+	#	${cgi_path}viewcvs.cgi
+}
+include		contents
Index: trunk/dports/devel/viewcvs/contents
===================================================================
--- trunk/dports/devel/viewcvs/contents	(revision 1190)
+++ trunk/dports/devel/viewcvs/contents	(revision 1190)
@@ -0,0 +1,65 @@
+contents {
+	viewcvs/cgi/query.cgi
+	viewcvs/cgi/viewcvs.cgi
+	viewcvs/cgi/
+	viewcvs/cvsdbadmin
+	viewcvs/doc/help_dirview.html
+	viewcvs/doc/help_log.html
+	viewcvs/doc/help_logtable.html
+	viewcvs/doc/help_query.html
+	viewcvs/doc/help_rootview.html
+	viewcvs/doc/images/chalk.jpg
+	viewcvs/doc/images/cvsgraph_16x16.png
+	viewcvs/doc/images/cvsgraph_32x32.png
+	viewcvs/doc/images/logo.png
+	viewcvs/doc/images/
+	viewcvs/doc/
+	viewcvs/lib/accept.py
+	viewcvs/lib/accept.pyc
+	viewcvs/lib/apache_icons.py
+	viewcvs/lib/apache_icons.pyc
+	viewcvs/lib/blame.py
+	viewcvs/lib/blame.pyc
+	viewcvs/lib/compat.py
+	viewcvs/lib/compat.pyc
+	viewcvs/lib/config.py
+	viewcvs/lib/config.pyc
+	viewcvs/lib/cvsdb.py
+	viewcvs/lib/cvsdb.pyc
+	viewcvs/lib/dbi.py
+	viewcvs/lib/dbi.pyc
+	viewcvs/lib/debug.py
+	viewcvs/lib/debug.pyc
+	viewcvs/lib/ezt.py
+	viewcvs/lib/ezt.pyc
+	viewcvs/lib/popen.py
+	viewcvs/lib/popen.pyc
+	viewcvs/lib/py2html.py
+	viewcvs/lib/py2html.pyc
+	viewcvs/lib/PyFontify.py
+	viewcvs/lib/PyFontify.pyc
+	viewcvs/lib/query.py
+	viewcvs/lib/query.pyc
+	viewcvs/lib/rcsparse.py
+	viewcvs/lib/rcsparse.pyc
+	viewcvs/lib/rlog.py
+	viewcvs/lib/rlog.pyc
+	viewcvs/lib/viewcvs.py
+	viewcvs/lib/viewcvs.pyc
+	viewcvs/lib/
+	viewcvs/loginfo-handler
+	viewcvs/make-database
+	viewcvs/standalone.py
+	viewcvs/templates/annotate.ezt
+	viewcvs/templates/diff.ezt
+	viewcvs/templates/dir_alternate.ezt
+	viewcvs/templates/directory.ezt
+	viewcvs/templates/footer.ezt
+	viewcvs/templates/graph.ezt
+	viewcvs/templates/header.ezt
+	viewcvs/templates/log_table.ezt
+	viewcvs/templates/log.ezt
+	viewcvs/templates/markup.ezt
+	viewcvs/templates/query.ezt
+	viewcvs/templates/
+}