Index: trunk/dports/print/a2ps/Portfile
===================================================================
--- trunk/dports/print/a2ps/Portfile	(revision 1198)
+++ trunk/dports/print/a2ps/Portfile	(revision 1198)
@@ -0,0 +1,17 @@
+PortSystem 1.0
+name		a2ps
+version		4.13b
+revision	0
+categories	print
+maintainers	jpm@opendarwin.org
+description	an Any to PostScript filter.
+#long_description	XXX
+platforms	darwin
+master_sites	http://ftp.gnu.org/gnu/a2ps/
+checksums	md5 0c8e0c31b08c14f7a7198ce967eb3281
+worksrcdir	${name}-4.13
+pre-configure {
+	file copy -force /usr/share/libtool/config.guess ${worksrcpath}/auxdir/config.guess
+	file copy -force /usr/share/libtool/config.sub ${worksrcpath}/auxdir/config.sub
+}
+include		contents
Index: trunk/dports/print/a2ps/contents
===================================================================
--- trunk/dports/print/a2ps/contents	(revision 1198)
+++ trunk/dports/print/a2ps/contents	(revision 1198)
@@ -0,0 +1,295 @@
+contents {
+	bin/a2ps
+	bin/card
+	bin/composeglyphs
+	bin/fixnt
+	bin/fixps
+	bin/ogonkify
+	bin/pdiff
+	bin/psmandup
+	bin/psset
+	bin/texi2dvi4a2ps
+	etc/a2ps-site.cfg
+	etc/a2ps.cfg
+	include/liba2ps.h
+	info/a2ps.info
+	info/a2ps.info-1
+	info/a2ps.info-2
+	info/a2ps.info-3
+	info/a2ps.info-4
+	info/a2ps.info-5
+	info/a2ps.info-6
+	info/ogonkify.info
+	info/regex.info
+	info/regex.info-1
+	info/regex.info-2
+	info/regex.info-3
+	lib/liba2ps.a
+	lib/liba2ps.la
+	man/man1/a2ps.1
+	man/man1/card.1
+	man/man1/fixps.1
+	man/man1/ogonkify.1
+	man/man1/pdiff.1
+	man/man1/psmandup.1
+	man/man1/psset.1
+	man/man1/texi2dvi4a2ps.1
+	share/a2ps/afm/fonts.map
+	share/a2ps/afm/make_fonts_map.sh
+	share/a2ps/afm/pbkd.afm
+	share/a2ps/afm/pbkdi.afm
+	share/a2ps/afm/pbkl.afm
+	share/a2ps/afm/pbkli.afm
+	share/a2ps/afm/pcfont.afm
+	share/a2ps/afm/pcrb.afm
+	share/a2ps/afm/pcrbo.afm
+	share/a2ps/afm/pcrr.afm
+	share/a2ps/afm/pcrro.afm
+	share/a2ps/afm/phvb.afm
+	share/a2ps/afm/phvbo.afm
+	share/a2ps/afm/phvbon.afm
+	share/a2ps/afm/phvbrn.afm
+	share/a2ps/afm/phvr.afm
+	share/a2ps/afm/phvro.afm
+	share/a2ps/afm/phvron.afm
+	share/a2ps/afm/phvrrn.afm
+	share/a2ps/afm/pncb.afm
+	share/a2ps/afm/pncbi.afm
+	share/a2ps/afm/pncr.afm
+	share/a2ps/afm/pncri.afm
+	share/a2ps/afm/pplb.afm
+	share/a2ps/afm/pplbi.afm
+	share/a2ps/afm/pplr.afm
+	share/a2ps/afm/pplri.afm
+	share/a2ps/afm/psyr.afm
+	share/a2ps/afm/ptmb.afm
+	share/a2ps/afm/ptmbi.afm
+	share/a2ps/afm/ptmi.afm
+	share/a2ps/afm/ptmr.afm
+	share/a2ps/afm/pzcmi.afm
+	share/a2ps/afm/pzdr.afm
+	share/a2ps/afm/
+	share/a2ps/encoding/ascii.edf
+	share/a2ps/encoding/encoding.map
+	share/a2ps/encoding/hp.edf
+	share/a2ps/encoding/ibm-cp437.edf
+	share/a2ps/encoding/ibm-cp850.edf
+	share/a2ps/encoding/iso1.edf
+	share/a2ps/encoding/iso2.edf
+	share/a2ps/encoding/iso3.edf
+	share/a2ps/encoding/iso4.edf
+	share/a2ps/encoding/iso5.edf
+	share/a2ps/encoding/iso7.edf
+	share/a2ps/encoding/iso9.edf
+	share/a2ps/encoding/iso10.edf
+	share/a2ps/encoding/iso13.edf
+	share/a2ps/encoding/iso15.edf
+	share/a2ps/encoding/koi8.edf
+	share/a2ps/encoding/mac.edf
+	share/a2ps/encoding/ms-cp1250.edf
+	share/a2ps/encoding/
+	share/a2ps/fonts/pcfont.pfa
+	share/a2ps/fonts/
+	share/a2ps/ppd/level1.ppd
+	share/a2ps/ppd/level2.ppd
+	share/a2ps/ppd/README
+	share/a2ps/ppd/
+	share/a2ps/ps/a2ps.hdr
+	share/a2ps/ps/base.ps
+	share/a2ps/ps/bold.pro
+	share/a2ps/ps/bw.pro
+	share/a2ps/ps/color.hdr
+	share/a2ps/ps/color.pro
+	share/a2ps/ps/diff.pro
+	share/a2ps/ps/ehandler.ps
+	share/a2ps/ps/fixed.pro
+	share/a2ps/ps/gray.pro
+	share/a2ps/ps/gray2.pro
+	share/a2ps/ps/matrix.pro
+	share/a2ps/ps/ul.pro
+	share/a2ps/ps/
+	share/a2ps/README
+	share/a2ps/sheets/68000.ssh
+	share/a2ps/sheets/a2psrc.ssh
+	share/a2ps/sheets/ada.ssh
+	share/a2ps/sheets/asn1.ssh
+	share/a2ps/sheets/autoconf.ssh
+	share/a2ps/sheets/awk.ssh
+	share/a2ps/sheets/b.ssh
+	share/a2ps/sheets/bc.ssh
+	share/a2ps/sheets/c.ssh
+	share/a2ps/sheets/caml.ssh
+	share/a2ps/sheets/card.ssh
+	share/a2ps/sheets/chlog.ssh
+	share/a2ps/sheets/cidl.ssh
+	share/a2ps/sheets/claire.ssh
+	share/a2ps/sheets/clisp.ssh
+	share/a2ps/sheets/coqv.ssh
+	share/a2ps/sheets/cpp.ssh
+	share/a2ps/sheets/csh.ssh
+	share/a2ps/sheets/cxx.ssh
+	share/a2ps/sheets/dc_shell.ssh
+	share/a2ps/sheets/eiffel.ssh
+	share/a2ps/sheets/elisp.ssh
+	share/a2ps/sheets/eps.ssh
+	share/a2ps/sheets/for-fixed.ssh
+	share/a2ps/sheets/for-free.ssh
+	share/a2ps/sheets/for77-fixed.ssh
+	share/a2ps/sheets/for77-free.ssh
+	share/a2ps/sheets/for77kwds.ssh
+	share/a2ps/sheets/for90-fixed.ssh
+	share/a2ps/sheets/for90-free.ssh
+	share/a2ps/sheets/for90kwds.ssh
+	share/a2ps/sheets/fortran.ssh
+	share/a2ps/sheets/gmake.ssh
+	share/a2ps/sheets/gnuc.ssh
+	share/a2ps/sheets/haskell.ssh
+	share/a2ps/sheets/html.ssh
+	share/a2ps/sheets/idl.ssh
+	share/a2ps/sheets/initora.ssh
+	share/a2ps/sheets/is5rul.ssh
+	share/a2ps/sheets/java.ssh
+	share/a2ps/sheets/js.ssh
+	share/a2ps/sheets/lace.ssh
+	share/a2ps/sheets/lex.ssh
+	share/a2ps/sheets/lout.ssh
+	share/a2ps/sheets/mail.ssh
+	share/a2ps/sheets/make.ssh
+	share/a2ps/sheets/maple.ssh
+	share/a2ps/sheets/matlab4.ssh
+	share/a2ps/sheets/mib.ssh
+	share/a2ps/sheets/mly.ssh
+	share/a2ps/sheets/modula2.ssh
+	share/a2ps/sheets/modula3.ssh
+	share/a2ps/sheets/o2c.ssh
+	share/a2ps/sheets/oberon.ssh
+	share/a2ps/sheets/objc.ssh
+	share/a2ps/sheets/ocaml.ssh
+	share/a2ps/sheets/octave.ssh
+	share/a2ps/sheets/oracle.ssh
+	share/a2ps/sheets/pascal.ssh
+	share/a2ps/sheets/perl.ssh
+	share/a2ps/sheets/plsql.ssh
+	share/a2ps/sheets/pov.ssh
+	share/a2ps/sheets/ppd.ssh
+	share/a2ps/sheets/pre.ssh
+	share/a2ps/sheets/pretex.ssh
+	share/a2ps/sheets/prolog.ssh
+	share/a2ps/sheets/promela.ssh
+	share/a2ps/sheets/ps.ssh
+	share/a2ps/sheets/python.ssh
+	share/a2ps/sheets/rexx.ssh
+	share/a2ps/sheets/sather.ssh
+	share/a2ps/sheets/scheme.ssh
+	share/a2ps/sheets/sdl88.ssh
+	share/a2ps/sheets/sed.ssh
+	share/a2ps/sheets/sh.ssh
+	share/a2ps/sheets/sheets.map
+	share/a2ps/sheets/shell.ssh
+	share/a2ps/sheets/sml.ssh
+	share/a2ps/sheets/sql.ssh
+	share/a2ps/sheets/sql92.ssh
+	share/a2ps/sheets/ssh.ssh
+	share/a2ps/sheets/symbols.ssh
+	share/a2ps/sheets/tcl.ssh
+	share/a2ps/sheets/tclx.ssh
+	share/a2ps/sheets/tcsh.ssh
+	share/a2ps/sheets/tex.ssh
+	share/a2ps/sheets/texinfo.ssh
+	share/a2ps/sheets/texscript.ssh
+	share/a2ps/sheets/tiger.ssh
+	share/a2ps/sheets/tk.ssh
+	share/a2ps/sheets/udiff.ssh
+	share/a2ps/sheets/unity.ssh
+	share/a2ps/sheets/vba.ssh
+	share/a2ps/sheets/verilog.ssh
+	share/a2ps/sheets/vhdl.ssh
+	share/a2ps/sheets/vrml.ssh
+	share/a2ps/sheets/vtcl.ssh
+	share/a2ps/sheets/wdiff.ssh
+	share/a2ps/sheets/xs.ssh
+	share/a2ps/sheets/yacc.ssh
+	share/a2ps/sheets/zsh.ssh
+	share/a2ps/sheets/
+	share/a2ps/
+	share/emacs/site-lisp/a2ps-print.el
+	share/emacs/site-lisp/a2ps-print.elc
+	share/emacs/site-lisp/a2ps.el
+	share/emacs/site-lisp/a2ps.elc
+	share/locale/ca/LC_MESSAGES/a2ps.mo
+	share/locale/cs/LC_MESSAGES/a2ps.mo
+	share/locale/da/LC_MESSAGES/a2ps.mo
+	share/locale/de/LC_MESSAGES/a2ps.mo
+	share/locale/es/LC_MESSAGES/a2ps.mo
+	share/locale/et/LC_MESSAGES/a2ps.mo
+	share/locale/fr/LC_MESSAGES/a2ps.mo
+	share/locale/it/LC_MESSAGES/a2ps.mo
+	share/locale/ko/LC_MESSAGES/a2ps.mo
+	share/locale/nl/LC_MESSAGES/a2ps.mo
+	share/locale/no/LC_MESSAGES/a2ps.mo
+	share/locale/pl/LC_MESSAGES/a2ps.mo
+	share/locale/pt/LC_MESSAGES/a2ps.mo
+	share/locale/ru/LC_MESSAGES/a2ps.mo
+	share/locale/sl/LC_MESSAGES/a2ps.mo
+	share/locale/sv/LC_MESSAGES/a2ps.mo
+	share/locale/tr/LC_MESSAGES/a2ps.mo
+	share/ogonkify/adobe.enc
+	share/ogonkify/afm/pcrb-o.afm
+	share/ogonkify/afm/pcrbo-o.afm
+	share/ogonkify/afm/pcrr-o.afm
+	share/ogonkify/afm/pcrro-o.afm
+	share/ogonkify/afm/phvb-o.afm
+	share/ogonkify/afm/phvbo-o.afm
+	share/ogonkify/afm/phvr-o.afm
+	share/ogonkify/afm/phvro-o.afm
+	share/ogonkify/afm/ptmb-o.afm
+	share/ogonkify/afm/ptmbi-o.afm
+	share/ogonkify/afm/ptmr-o.afm
+	share/ogonkify/afm/ptmri-o.afm
+	share/ogonkify/afm/
+	share/ogonkify/allchars.ps
+	share/ogonkify/ascii.enc
+	share/ogonkify/compose.ps
+	share/ogonkify/cp1250.enc
+	share/ogonkify/fonts/pcrb-o.pfa
+	share/ogonkify/fonts/pcrbo-o.pfa
+	share/ogonkify/fonts/pcrr-o.pfa
+	share/ogonkify/fonts/pcrro-o.pfa
+	share/ogonkify/fonts/phvb-o.pfa
+	share/ogonkify/fonts/phvbo-o.pfa
+	share/ogonkify/fonts/phvr-o.pfa
+	share/ogonkify/fonts/phvro-o.pfa
+	share/ogonkify/fonts/ptmb-o.pfa
+	share/ogonkify/fonts/ptmbi-o.pfa
+	share/ogonkify/fonts/ptmr-o.pfa
+	share/ogonkify/fonts/ptmri-o.pfa
+	share/ogonkify/fonts/
+	share/ogonkify/helper.ps
+	share/ogonkify/hp.enc
+	share/ogonkify/ibmpc.enc
+	share/ogonkify/latin1.enc
+	share/ogonkify/latin2.enc
+	share/ogonkify/latin3.enc
+	share/ogonkify/latin4.enc
+	share/ogonkify/latin5.enc
+	share/ogonkify/latin6.enc
+	share/ogonkify/latin7.enc
+	share/ogonkify/latin9.enc
+	share/ogonkify/mac.enc
+	share/ogonkify/ogonki.enc
+	share/ogonkify/pcrb-o.ps
+	share/ogonkify/pcrbo-o.ps
+	share/ogonkify/pcrr-o.ps
+	share/ogonkify/pcrro-o.ps
+	share/ogonkify/phvb-o.ps
+	share/ogonkify/phvbo-o.ps
+	share/ogonkify/phvr-o.ps
+	share/ogonkify/phvro-o.ps
+	share/ogonkify/printenc.ps
+	share/ogonkify/ptmb-o.ps
+	share/ogonkify/ptmbi-o.ps
+	share/ogonkify/ptmr-o.ps
+	share/ogonkify/ptmri-o.ps
+	share/ogonkify/README
+	share/ogonkify/
+}