Index: trunk/base/src/port/portall.tcl
===================================================================
--- trunk/base/src/port/portall.tcl	(revision 1180)
+++ trunk/base/src/port/portall.tcl	(revision 1200)
@@ -38,5 +38,4 @@
     }
     array set portinfo [dportinfo $interp]
-    puts "Doing $target for port: $portinfo(name)"
     dportexec $interp $target
     dportclose $interp
Index: trunk/base/src/port1.0/portbuild.tcl
===================================================================
--- trunk/base/src/port1.0/portbuild.tcl	(revision 1180)
+++ trunk/base/src/port1.0/portbuild.tcl	(revision 1200)
@@ -37,4 +37,5 @@
 ${com.apple.build} requires main fetch extract checksum patch configure
 ${com.apple.build} deplist depends_build depends_lib
+${com.apple.build} set prerun build_start
 
 # define options
@@ -80,8 +81,13 @@
 }
 
+proc build_start {args} {
+    global UI_PREFIX portname build.target.all
+
+    ui_msg "$UI_PREFIX Building $portname with target ${build.target.all}"
+}
+
 proc build_main {args} {
     global portname portpath workdir prefix build.type build.cmd build.env build.target.all build.target.current UI_PREFIX worksrcdir
 
-    ui_msg "$UI_PREFIX Building $portname with target ${build.target.all}"
     set build.target.current ${build.target.all}
     system "[command build]"
Index: trunk/base/src/port1.0/portchecksum.tcl
===================================================================
--- trunk/base/src/port1.0/portchecksum.tcl	(revision 1180)
+++ trunk/base/src/port1.0/portchecksum.tcl	(revision 1200)
@@ -36,4 +36,5 @@
 ${com.apple.checksum} provides checksum
 ${com.apple.checksum} requires main fetch
+${com.apple.checksum} set prerun checksum_start
 
 # define options
@@ -72,4 +73,10 @@
     }
     return -1
+}
+
+proc checksum_start {args} {
+    global UI_PREFIX portname
+
+    ui_msg "$UI_PREFIX Checksumming $portname"
 }
 
Index: trunk/base/src/port1.0/portclean.tcl
===================================================================
--- trunk/base/src/port1.0/portclean.tcl	(revision 1180)
+++ trunk/base/src/port1.0/portclean.tcl	(revision 1200)
@@ -39,4 +39,11 @@
 ${com.apple.clean} provides clean
 ${com.apple.clean} requires main
+${com.apple.clean} set prerun clean_start
+
+proc clean_start {args} {
+    global UI_PREFIX portname
+
+    ui_msg "$UI_PREFIX Cleaning $portname"
+}
 
 proc clean_main {args} {
Index: trunk/base/src/port1.0/portconfigure.tcl
===================================================================
--- trunk/base/src/port1.0/portconfigure.tcl	(revision 1180)
+++ trunk/base/src/port1.0/portconfigure.tcl	(revision 1200)
@@ -37,4 +37,5 @@
 ${com.apple.configure} requires main fetch extract checksum patch
 ${com.apple.configure} deplist depends_build depends_lib
+${com.apple.configure} set prerun configure_start
 
 # define options
@@ -51,4 +52,10 @@
 
 set UI_PREFIX "---> "
+
+proc configure_start {args} {
+    global UI_PREFIX portname
+
+    ui_msg "$UI_PREFIX Configuring $portname"
+}
 
 proc configure_main {args} {
@@ -83,5 +90,4 @@
 	}
     } elseif [tbool use_configure] {
-        ui_msg "$UI_PREFIX Running configure script"
 	if {[catch {system "[command configure]"} result]} {
 	    ui_error "configure target failed: $result"
Index: trunk/base/src/port1.0/portextract.tcl
===================================================================
--- trunk/base/src/port1.0/portextract.tcl	(revision 1180)
+++ trunk/base/src/port1.0/portextract.tcl	(revision 1200)
@@ -38,4 +38,5 @@
 ${com.apple.extract} requires fetch checksum
 ${com.apple.extract} deplist depends_extract
+${com.apple.extract} set prerun extract_start
 
 # define options
@@ -67,4 +68,10 @@
 }
 
+proc extract_start {args} {
+    global UI_PREFIX portname
+
+    ui_msg "$UI_PREFIX Extracting $portname"
+}
+
 proc extract_main {args} {
     global portname portpath workdir distname distpath distfiles use_bzip2 extract.only extract.cmd extract.before_args extract.after_args extract.args UI_PREFIX
Index: trunk/base/src/port1.0/portfetch.tcl
===================================================================
--- trunk/base/src/port1.0/portfetch.tcl	(revision 1180)
+++ trunk/base/src/port1.0/portfetch.tcl	(revision 1200)
@@ -38,4 +38,5 @@
 ${com.apple.fetch} requires main
 ${com.apple.fetch} deplist depends_fetch
+${com.apple.fetch} set prerun fetch_start
 
 # define options: distname master_sites
@@ -275,4 +276,10 @@
 }
 
+proc fetch_start {args} {
+    global UI_PREFIX portname
+
+    ui_msg "$UI_PREFIX Fetching $portname"
+}
+
 # Main fetch routine
 # If all_dist_files is not populated and $fetch.type == standard, then
Index: trunk/base/src/port1.0/portinstall.tcl
===================================================================
--- trunk/base/src/port1.0/portinstall.tcl	(revision 1180)
+++ trunk/base/src/port1.0/portinstall.tcl	(revision 1200)
@@ -37,4 +37,5 @@
 ${com.apple.install} requires main fetch extract checksum patch configure build 
 ${com.apple.install} deplist depends_run depends_lib
+${com.apple.install} set prerun install_start
 
 # define options
@@ -44,4 +45,10 @@
 
 set UI_PREFIX "---> "
+
+proc install_start {args} {
+    global UI_PREFIX portname build.target.install
+
+    ui_msg "$UI_PREFIX Installing $portname with target ${build.target.install}"
+}
 
 proc install_main {args} {
@@ -55,5 +62,5 @@
 	}
     }
-    ui_msg "$UI_PREFIX Installing $portname with target ${build.target.install}"
+
     set build.target.current ${build.target.install}
     if [catch {system "[command build]"}] {
Index: trunk/base/src/port1.0/portregistry.tcl
===================================================================
--- trunk/base/src/port1.0/portregistry.tcl	(revision 1180)
+++ trunk/base/src/port1.0/portregistry.tcl	(revision 1200)
@@ -37,4 +37,5 @@
 ${com.apple.registry} requires main fetch extract checksum patch configure build install 
 ${com.apple.registry} deplist depends_run depends_lib
+${com.apple.registry} set prerun registry_start
 
 # define options
@@ -47,4 +48,10 @@
 
 set UI_PREFIX "---> "
+
+proc registry_start {args} {
+    global UI_PREFIX portname
+
+    ui_msg "$UI_PREFIX Adding $portname to registry, this may take a moment..."
+}
 
 # For now, just write stuff to a file for debugging.
@@ -205,5 +212,4 @@
     # Package installed successfully, so now we must register it
     set rhandle [registry_new $portname $portversion]
-    ui_msg "$UI_PREFIX Adding $portname to registry, this may take a moment..."
 
     registry_store $rhandle [list prefix $prefix]
Index: trunk/base/src/port1.0/portuninstall.tcl
===================================================================
--- trunk/base/src/port1.0/portuninstall.tcl	(revision 1180)
+++ trunk/base/src/port1.0/portuninstall.tcl	(revision 1200)
@@ -37,4 +37,5 @@
 ${com.apple.uninstall} provides uninstall
 ${com.apple.uninstall} requires main
+${com.apple.uninstall} set prerun uninstall_start
 
 # define options
@@ -42,4 +43,12 @@
 
 set UI_PREFIX "---> "
+
+proc uninstall_start {args} {
+    global portname portversion UI_PREFIX
+
+    if [string length [registry_exists $portname $portversion]] {
+	ui_msg "$UI_PREFIX Uninstalling $portname-$portversion"
+    }
+}
 
 proc uninstall_main {args} {
@@ -53,5 +62,4 @@
     set rfile [registry_exists $portname $portversion]
     if [string length $rfile] {
-	ui_msg "$UI_PREFIX Uninstalling $portname-$portversion"
 	if [regexp .bz2$ $rfile] {
 	    set fd [open "|bunzip2 -c $rfile" r]