Index: trunk/dports/graphics/pict2pdf/Portfile
===================================================================
--- trunk/dports/graphics/pict2pdf/Portfile	(revision 1200)
+++ trunk/dports/graphics/pict2pdf/Portfile	(revision 1200)
@@ -0,0 +1,22 @@
+PortSystem 1.0
+name		pict2pdf
+version		1.1
+categories	graphics
+maintainers	prahl@ece.ogi.edu
+description	Vector-to-vector conversion of PICT files to PDF
+platforms	darwin
+master_sites	http://osdn.dl.sourceforge.net/sourceforge/pict2pdf/ \
+		http://unc.dl.sourceforge.net/sourceforge/pict2pdf/
+checksums       md5 c37627f7483509887f70d07d3f798208
+configure       {}
+build.args      PREFIX=${prefix}
+
+install		{ cd ${worksrcpath}
+		  system "install -o root -m 755 -d ${prefix}/bin"
+		  system "install -o root -m 755 -d ${prefix}/man/man1"
+		  system "install -o root -m 755 -c pict2pdf ${prefix}/bin"
+		  system "install -o root -m 644 -c pict2pdf.1 \
+		    ${prefix}/man/man1" }
+
+contents	bin/pict2pdf \
+		man/man1/pict2pdf.1
Index: trunk/dports/mail/pine/Portfile
===================================================================
--- trunk/dports/mail/pine/Portfile	(revision 1200)
+++ trunk/dports/mail/pine/Portfile	(revision 1200)
@@ -0,0 +1,51 @@
+PortSystem         1.0
+name               pine
+version            4.44
+categories         mail
+maintainers        \[Fink\] Jeffrey Whitaker <jsw@cdc.noaa.gov> / \[DarwinPorts\] Sean Brandt <sean@fuzzymagic.com>
+description        Text based tool for reading, sending, and managing emails.
+master_sites       ftp://ftp.cac.washington.edu/pine/old/ ftp://ftp.cac.washington.edu/pine/ 
+distname           ${name}${portversion}
+set buildssl       NOSSL
+set buildargs      "EXTRACFLAGS=-I${prefix}/include EXTRALDFLAGS=-L${prefix}/lib  DEBUG=\"-g -O2 -DDEBUG\""
+set patch.pre_args -p1
+set installprog    "/usr/bin/install -o root -g admin"
+patchfiles         makefile.osx.patch pine.hlp.patch pico-osdep-os-osx.h
+checksums          md5 bb405bd52b9fd84b9a981626847cc098
+include            contents
+
+configure {
+   cd ${worksrcpath}
+   reinplace "s|@PREFIX@|${prefix}|g" pico/makefile.osx
+   reinplace "s|@PREFIX@|${prefix}|g" pine/pine.hlp
+}
+
+variant ssl {
+    set buildssl    "SSLDIR=/System/Library/OpenSSL SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib"
+}
+
+build              {
+    cd ${worksrcpath}
+    system "./build ${buildargs} ${buildssl} osx"
+}
+
+install {
+    cd ${worksrcpath}
+    system "${installprog} -d ${prefix}/bin ${prefix}/sbin"
+    system "${installprog} -d ${prefix}/share/man/man1"
+    system "${installprog} -d ${prefix}/share/doc/${name}/html"
+    system "${installprog} -d ${prefix}/etc"
+    system "${installprog} -c bin/pine ${prefix}/bin"
+    system "${installprog} -c bin/pico ${prefix}/bin"
+    system "${installprog} -c bin/pilot ${prefix}/bin"
+    system "${installprog} -c bin/mtest ${prefix}/bin"
+    system "${installprog} -c bin/imapd ${prefix}/sbin"
+    system "${installprog} -c imap/ipopd/ipop2d ${prefix}/sbin"
+    system "${installprog} -c imap/ipopd/ipop3d ${prefix}/sbin"
+    system "${installprog} -c doc/pine.1 ${prefix}/share/man/man1"
+    system "${installprog} -c doc/pico.1 ${prefix}/share/man/man1"
+    system "${installprog} -c doc/pilot.1 ${prefix}/share/man/man1"
+    system "${installprog} -c doc/tech-notes/*.html ${prefix}/share/doc/${name}/html"
+    system "${prefix}/bin/pine -conf > ${prefix}/etc/pine.conf "
+}
+
Index: trunk/dports/mail/pine/contents
===================================================================
--- trunk/dports/mail/pine/contents	(revision 1200)
+++ trunk/dports/mail/pine/contents	(revision 1200)
@@ -0,0 +1,22 @@
+contents bin/mtest \
+    bin/pico \
+    bin/pilot \
+    bin/pine \
+    etc/pine.conf \
+    sbin/imapd \
+    sbin/ipop2d \
+    sbin/ipop3d \
+    share/doc/pine/html/background.html \
+    share/doc/pine/html/cmd-line.html \
+    share/doc/pine/html/config-notes.html \
+    share/doc/pine/html/config.html \
+    share/doc/pine/html/index.html \
+    share/doc/pine/html/installation.html \
+    share/doc/pine/html/introduction.html \
+    share/doc/pine/html/low-level.html \
+    share/doc/pine/html/porting.html \
+    share/doc/pine/html \
+    share/doc/pine \
+    share/man/man1/pico.1 \
+    share/man/man1/pilot.1 \
+    share/man/man1/pine.1
Index: trunk/dports/mail/pine/files/makefile.osx.patch
===================================================================
--- trunk/dports/mail/pine/files/makefile.osx.patch	(revision 1200)
+++ trunk/dports/mail/pine/files/makefile.osx.patch	(revision 1200)
@@ -0,0 +1,52 @@
+--- pine4.43/pico/makefile.osx.orig	Wed Nov 21 13:40:57 2001
++++ pine4.43/pico/makefile.osx	Wed Nov 21 13:41:32 2001
+@@ -42,7 +42,7 @@
+ LIBARGS=	ru
+ RANLIB=		ranlib
+ 
+-LIBS=		$(EXTRALDFLAGS)
++LIBS=		$(EXTRALDFLAGS) -lncurses
+ 
+ OFILES=		attach.o basic.o bind.o browse.o buffer.o \
+ 		composer.o display.o file.o fileio.o line.o pico_os.o \
+--- pine4.43/pine/makefile.osx.orig	Wed Nov 21 13:40:57 2001
++++ pine4.43/pine/makefile.osx	Wed Nov 21 13:41:32 2001
+@@ -61,7 +61,7 @@
+ LDAPOFILES=   addrbook.o adrbkcmd.o args.o bldaddr.o init.o \
+ 	      mailview.o other.o pine.o strings.o takeaddr.o
+ 
+-STDLIBS=
++STDLIBS= -lncurses
+ LOCLIBS=     $(PICODIR)/libpico.a $(CCLIENTDIR)/c-client.a
+ LIBS=        $(LOCLIBS) $(LDAPLIBS) $(STDLIBS) \
+              `cat $(CCLIENTDIR)/LDFLAGS`
+--- pine4.43/pine/osdep/os-osx.h.orig	Wed Nov 21 13:28:51 2001
++++ pine4.43/pine/osdep/os-osx.h	Wed Nov 21 13:30:51 2001
+@@ -57,6 +57,7 @@
+ #include "../c-client/nl.h"
+ #include "../c-client/tcp.h"
+ 
++#include <sys/unistd.h>
+ 
+ /*----------------------------------------------------------------------
+ 
+@@ -89,7 +90,7 @@
+    default-composer-hdrs or customized-hdrs to get at it. Instead of
+    defining NEVER_ALLOW_CHANGING_FROM, an easier way of preventing From
+    changing is to put the feature "no-allow-changing-from" in the
+-   /usr/local/lib/pine.conf.fixed file.
++   @PREFIX@/etc/pine.conf.fixed file.
+  ----*/
+ /* #define NEVER_ALLOW_CHANGING_FROM */
+ 
+@@ -175,8 +176,8 @@
+ 
+ 
+ /*----- System-wide config file ----------------------------------------*/
+-#define SYSTEM_PINERC             "/usr/local/lib/pine.conf"
+-#define SYSTEM_PINERC_FIXED       "/usr/local/lib/pine.conf.fixed"
++#define SYSTEM_PINERC             "@PREFIX@/etc/pine.conf"
++#define SYSTEM_PINERC_FIXED       "@PREFIX@/etc/pine.conf.fixed"
+ 
+ 
+ 
Index: trunk/dports/mail/pine/files/pico-osdep-os-osx.h
===================================================================
--- trunk/dports/mail/pine/files/pico-osdep-os-osx.h	(revision 1200)
+++ trunk/dports/mail/pine/files/pico-osdep-os-osx.h	(revision 1200)
@@ -0,0 +1,12 @@
+--- pine4.44/pico/osdep/os-osx.h.orig	Mon Nov  4 09:34:14 2002
++++ pine4.44/pico/osdep/os-osx.h	Mon Nov  4 09:34:18 2002
+@@ -181,7 +181,8 @@
+ /*
+  * Make sys_errlist visible
+  */
++#ifndef _STDIO_H_
+ extern int   sys_nerr;
+-
++#endif
+ 
+ #endif /* _PICO_OS_INCLUDED */
Index: trunk/dports/mail/pine/files/pine.hlp.patch
===================================================================
--- trunk/dports/mail/pine/files/pine.hlp.patch	(revision 1200)
+++ trunk/dports/mail/pine/files/pine.hlp.patch	(revision 1200)
@@ -0,0 +1,53 @@
+--- pine4.43/pine/pine.hlp.orig	Fri Nov 30 09:56:26 2001
++++ pine4.43/pine/pine.hlp	Fri Nov 30 09:56:47 2001
+@@ -596,8 +596,8 @@
+  executable     &lt;Unix search path&gt;/pine
+  persnl cfg     ~/.pinerc
+  except cfg     ~/.pinercex
+- global cfg     /usr/local/lib/pine.conf
+- fixed cfg      /usr/local/lib/pine.conf.fixed
++ global cfg     @PREFIX@/etc/pine.conf
++ fixed cfg      @PREFIX@/etc/pine.conf.fixed
+  local help     /usr/local/lib/pine.info
+ 
+  interrupted    ~/.pine-interrupted-mail
+@@ -1952,7 +1952,7 @@
+ file, execute
+ 
+ <PRE><CODE>
+-		pine -conf > /usr/local/lib/pine.conf
++		pine -conf > @PREFIX@/etc/pine.conf
+ </CODE></PRE>
+ <P>
+ 
+@@ -1960,7 +1960,7 @@
+ system configuration file, execute
+ 
+ <PRE><CODE>
+-		pine -P old-pine.conf -conf > /usr/local/lib/pine.conf
++		pine -P old-pine.conf -conf > @PREFIX@/etc/pine.conf
+ </CODE></PRE>
+ <P>
+ A system configuration file is not required.
+@@ -2112,7 +2112,7 @@
+ <DT> -P <EM>pinerc</EM>
+ 
+ <DD> Uses the named file as the system wide configuration file instead of
+-<EM>/usr/local/lib/pine.conf</EM> on UNIX, or nothing on <EM>PC-Pine</EM>.
++<EM>@PREFIX@/etc/pine.conf</EM> on UNIX, or nothing on <EM>PC-Pine</EM>.
+ Pinerc may be either a local file or a remote configuration folder.
+ <P>
+ 
+@@ -2820,10 +2820,10 @@
+ </OL>
+ <P>
+ The fixed configuration file is normally
+-<CODE>/usr/local/lib/pine.conf.fixed</CODE>.
++<CODE>@PREFIX@/etc/pine.conf.fixed</CODE>.
+ <P>
+ The system-wide configuration file is normally
+-<CODE>/usr/local/lib/pine.conf</CODE> for Unix Pine and is normally not
++<CODE>@PREFIX@/etc/pine.conf</CODE> for Unix Pine and is normally not
+ set for PC-Pine.
+ For PC-Pine, if the environment variable <EM>$PINECONF</EM> is set, that
+ is used for the system-wide configuration.
Index: trunk/dports/textproc/dos2unix/Portfile
===================================================================
--- trunk/dports/textproc/dos2unix/Portfile	(revision 1200)
+++ trunk/dports/textproc/dos2unix/Portfile	(revision 1200)
@@ -0,0 +1,25 @@
+PortSystem 1.0
+name		dos2unix
+version		3.0
+categories	textproc
+maintainers	eric@opendarwin.org
+description	Convert text between dos, unix, and mac formats
+master_sites	http://www.go.dlr.de/fresh/linux/src/
+checksums	md5 4dde5302113696904d3fcfd4f41eedf1
+configure	{}
+
+build		{ cd ${worksrcpath}
+		  system "gcc -O dos2unix.c -o dos2unix" }
+
+install		{ cd ${worksrcpath}
+		  system "install -o root -m 755 -d ${prefix}/bin"
+		  system "install -o root -m 755 -d ${prefix}/man/man1"
+		  system "install -o root -m 755 -cs dos2unix ${prefix}/bin"
+		  system "gzip -c dos2unix.1 > ${prefix}/man/man1/dos2unix.1.gz"
+		  system "ln -sf dos2unix.1.gz ${prefix}/man/man1/mac2unix.1.gz"
+		  system "ln -sf dos2unix ${prefix}/bin/mac2unix" }
+
+contents	bin/dos2unix \
+		bin/mac2unix \
+		man/man1/dos2unix.1.gz \
+		man/man1/mac2unix.1.gz
Index: trunk/dports/textproc/glimpse/Portfile
===================================================================
--- trunk/dports/textproc/glimpse/Portfile	(revision 1200)
+++ trunk/dports/textproc/glimpse/Portfile	(revision 1200)
@@ -0,0 +1,29 @@
+PortSystem 1.0
+name            glimpse
+version         4.17.1
+categories      textproc
+maintainers     lomifeh@earthlink.net
+description     A text search engine.  Free for personal use.
+checksums       md5 c7c1bce41bc0e6b5b02b1db8bd02bd49
+master_sites    http://webglimpse.net/trial/
+depends_lib     lib:libdl.1:dlcompat
+configure.args  --enable-strip
+patchfiles	patch-Makefile.in patch-top-Makefile.in
+build.args	LDFLAGS=-L${prefix}/lib
+
+contents {
+  bin/agrep
+  bin/buildcast
+  bin/cast
+  bin/glimpse
+  bin/glimpseindex
+  bin/glimpseserver
+  bin/tbuild
+  bin/uncast
+  bin/wgconvert
+  man/man1/agrep.1
+  man/man1/glimpse.1
+  man/man1/glimpseindex.1
+  man/man1/glimpseserver.1
+}
+
Index: trunk/dports/textproc/glimpse/files/patch-Makefile.in
===================================================================
--- trunk/dports/textproc/glimpse/files/patch-Makefile.in	(revision 1200)
+++ trunk/dports/textproc/glimpse/files/patch-Makefile.in	(revision 1200)
@@ -0,0 +1,20 @@
+--- index/Makefile.in.orig	Mon Nov  4 22:33:52 2002
++++ index/Makefile.in	Mon Nov  4 22:34:56 2002
+@@ -12,7 +12,7 @@
+ INSTALL_PROGRAM = @INSTALL_PROGRAM@
+ INSTALL_DATA	= @INSTALL_DATA@
+ DEFS		=
+-INDEXLIBS	= @INDEXLIBS@
++INDEXLIBS	= -L${prefix}/lib @INDEXLIBS@
+ 
+ prefix = @prefix@
+ exec_prefix = @exec_prefix@
+@@ -45,7 +45,7 @@
+ NOTSCASTPROG	= nots$(CASTPROG)
+ 
+ OPTIMIZEFLAGS	= -O2
+-INCLUDEFLAGS	= -I$(INDEXDIR) -I$(AGREPDIR) -I$(TEMPLATEDIR)/include 
++INCLUDEFLAGS	= -I$(INDEXDIR) -I$(AGREPDIR) -I$(TEMPLATEDIR)/include -I${prefix}/include
+ DEFINEFLAGS	= $(DEFS)
+ CFLAGS		= $(INCLUDEFLAGS)
+ 
Index: trunk/dports/textproc/glimpse/files/patch-top-Makefile.in
===================================================================
--- trunk/dports/textproc/glimpse/files/patch-top-Makefile.in	(revision 1200)
+++ trunk/dports/textproc/glimpse/files/patch-top-Makefile.in	(revision 1200)
@@ -0,0 +1,11 @@
+--- Makefile.in.orig	Mon Nov  4 22:45:13 2002
++++ Makefile.in	Mon Nov  4 22:45:29 2002
+@@ -4,7 +4,7 @@
+ VPATH  = @srcdir@
+ SHELL  = /bin/sh
+ CC     = @CC@
+-LIBS   = @LIBS@
++LIBS   = @LIBS@ -L${prefix}/lib -ldl
+ CP     = @CP@
+ STRIP  = @STRIP@
+ INSTALL		= @INSTALL@