Index: trunk/base/doc/Makefile
===================================================================
--- trunk/base/doc/Makefile	(revision 1200)
+++ trunk/base/doc/Makefile	(revision 1205)
@@ -18,5 +18,5 @@
 	mkdir -p /etc/defaults
 	mkdir -p ${ETCDIR}
-	mkdir -p ${PREFIX}/man/man7
+	mtree -U -f prefix.mtree -d -e -p ${PREFIX} > /dev/null
 	@if [ ! -e ${ETCDIR}/ports.conf ]; then \
 		set -x; \
@@ -28,5 +28,5 @@
 		install -o ${DSTUSR} -g ${DSTGRP} -m 644 sources.conf ${ETCDIR}; \
 	fi
-
+	install -o ${DSTUSR} -g ${DSTGRP} -m 644 prefix.mtree ${ETCDIR}
 	install -o ${DSTUSR} -g ${DSTGRP} -m 644 ports.conf.default /etc/defaults/ports.conf
 	install -o ${DSTUSR} -g ${DSTGRP} -m 444 portfile.7.gz ${PREFIX}/man/man7
Index: trunk/base/doc/ports.conf.default
===================================================================
--- trunk/base/doc/ports.conf.default	(revision 1200)
+++ trunk/base/doc/ports.conf.default	(revision 1205)
@@ -15,2 +15,313 @@
 # Set the directory in which to install ports
 prefix			/opt/local
+
+# master site macros (from FreeBSD)
+
+default _master_subdir {${master_site_subdir}}
+
+default master_site_afterstep {
+    ftp://ftp.afterstep.org/${_master_subdir}/
+    ftp://ftp.digex.net/pub/X11/window-managers/afterstep/${_master_subdir}/
+    ftp://ftp.kddlabs.co.jp/X11/AfterStep/${_master_subdir}/
+    ftp://ftp.dti.ad.jp/pub/X/AfterStep/${_master_subdir}/
+    ftp://ftp.chg.ru/pub/X11/windowmanagers/afterstep/${_master_subdir}/
+}
+
+default master_site_comp_sources {
+    ftp://gatekeeper.dec.com/pub/usenet/comp.sources.${_master_subdir}/
+    ftp://ftp.kddlabs.co.jp/Unix/com.sources.${_master_subdir}/
+    ftp://ftp.uu.net/usenet/comp.sources.${_master_subdir}/
+    ftp://ftp.funet.fi/pub/archive/comp.sources.${_master_subdir}/
+    ftp://rtfm.mit.edu/pub/usenet/comp.sources.${_master_subdir}/
+}
+
+default master_site_festival {
+    http://www.festvox.org/packed/festival/${_master_subdir}/
+    http://www.speech.cs.cmu.edu/festival/cstr/festival/${_master_subdir}/
+    ftp://ftp.leb.net/pub/blinux/festival/mirror.festival_home/${_master_subdir}/
+    ftp://ftp.mayn.de/pub/linux/BLinux/festival/mirror.festival_home/${_master_subdir}/
+    ftp://ftp.tuwien.ac.at/opsys/linux/blinux/festival/mirror.festival_home/${_master_subdir}/
+}
+
+default master_site_festival_ogi {
+    ftp://ftp.leb.net/pub/blinux/festival/mirror.ogi-synth_home/
+    ftp://ftp.mayn.de/pub/linux/BLinux/festival/mirror.ogi-synth_home/
+    ftp://cslu.cse.ogi.edu/pub/tts/
+}
+
+default master_site_gnome {
+    ftp://ftp.rpmfind.net/linux/gnome.org/${_master_subdir}/
+    ftp://ftp.sunet.se/pub/X11/GNOME/${_master_subdir}/
+    ftp://ftp.dit.upm.es/linux/gnome/${_master_subdir}/
+    ftp://ftp.no.gnome.org/pub/GNOME/${_master_subdir}/
+    ftp://ftp.dataplus.se/pub/linux/gnome/${_master_subdir}/
+    ftp://ftp.mirror.ac.uk/sites/ftp.gnome.org/pub/GNOME/${_master_subdir}/
+    ftp://ftp.chg.ru/pub/X11/gnome/${_master_subdir}/
+    ftp://ftp.tr.gnome.org/pub/GNOME/${_master_subdir}/
+    ftp://ftp.informatik.hu-berlin.de/pub/Mirrors/www.gnome.org/${_master_subdir}/
+    ftp://ftp.cse.buffalo.edu/pub/Gnome/${_master_subdir}/
+}
+
+default master_site_isc {
+    ftp://ftp.isc.org/isc/${_master_subdir}/
+    ftp://gd.tuwien.ac.at/infosys/servers/isc/${_master_subdir}/
+    ftp://ftp.ciril.fr/pub/isc/${_master_subdir}/
+    ftp://ftp.grolier.fr/pub/isc/${_master_subdir}/
+    ftp://ftp.funet.fi/pub/mirrors/ftp.isc.org/isc/${_master_subdir}/
+    ftp://ftp.freenet.de/pub/ftp.isc.org/isc/${_master_subdir}/
+    ftp://ftp.fsn.hu/pub/isc/${_master_subdir}/
+    ftp://ftp.kyushu-u.ac.jp/pub/Net/isc/${_master_subdir}/
+    ftp://ftp.iij.ad.jp/pub/network/isc/${_master_subdir}/
+    ftp://ftp.dti.ad.jp/pub/net/isc/${_master_subdir}/
+    ftp://ftp.u-aizu.ac.jp/pub/net/isc/${_master_subdir}/
+    ftp://ftp.linux.lv/pub/software/isc/${_master_subdir}/
+    ftp://ftp.task.gda.pl/mirror/ftp.isc.org/isc/${_master_subdir}/
+    ftp://ftp.cdu.elektra.ru/pub/unix/isc/${_master_subdir}/
+    ftp://ftp.si.uniovi.es/mirror/isc/${_master_subdir}/
+    ftp://ftp.sunet.se/pub/network/isc/${_master_subdir}/
+    ftp://ftp.chl.chalmers.se/pub/unix/network/isc/${_master_subdir}/
+    ftp://unix.hensa.ac.uk/mirrors/ftp.isc.org/isc/${_master_subdir}/
+    ftp://ftp.epix.net/pub/isc/${_master_subdir}/
+    ftp://ftp.nominum.com/pub/isc/${_master_subdir}/
+    ftp://ftp.nerdc.ufl.edu/pub/mirrors/ftp.isc.org/isc/${_master_subdir}/
+    ftp://ftp.ripe.net/mirrors/sites/ftp.isc.org/isc/${_master_subdir}/
+    ftp://ftp.nl.uu.net/pub/mirrors/ftp.isc.org/${_master_subdir}/
+    ftp://ftp.pop-mg.com.br/pub/isc/${_master_subdir}/
+    ftp://ftp.ntua.gr/pub/net/isc/isc/${_master_subdir}/
+    ftp://ftp.ulak.net.tr/pub/networking/isc/${_master_subdir}/
+    ftp://ftp.metu.edu.tr/pub/mirrors/ftp.isc.org/${_master_subdir}/
+}
+
+default master_site_gnu {
+    ftp://ftp.gnu.org/gnu/${_master_subdir}/
+    ftp://gatekeeper.dec.com/pub/GNU/${_master_subdir}/
+    ftp://ftp.uu.net/archive/systems/gnu/${_master_subdir}/
+    ftp://ftp.de.uu.net/pub/gnu/${_master_subdir}/
+    ftp://ftp.funet.fi/pub/gnu/prep/${_master_subdir}/
+    ftp://ftp.leo.org/pub/comp/os/unix/gnu/${_master_subdir}/
+    ftp://ftp.digex.net/pub/gnu/${_master_subdir}/
+    ftp://ftp.wustl.edu/mirrors/gnu/${_master_subdir}/
+    ftp://ftp.kddlabs.co.jp/pub/gnu/${_master_subdir}/
+    ftp://ftp.mirror.ac.uk/sites/ftp.gnu.org/gnu/${_master_subdir}/
+    ftp://sunsite.org.uk/Mirrors/ftp.gnu.org/pub/gnu/${_master_subdir}/
+    ftp://ftp.informatik.hu-berlin.de/pub/gnu/${_master_subdir}/
+    ftp://ftp.rediris.es/mirror/gnu/${_master_subdir}/
+    ftp://ftp.lip6.fr/pub/gnu/${_master_subdir}/
+    ftp://ftp.chg.ru/pub/gnu/${_master_subdir}/
+}
+
+default master_site_kde {
+    ftp://ftp.us.kde.org/pub/kde/${_master_subdir}/
+    ftp://ftp.kde.org/pub/kde/${_master_subdir}/
+    http://linux.dsi.internet2.edu/X11/kde/${_master_subdir}/
+    ftp://ftp.tuniv.szczecin.pl/pub/kde/${_master_subdir}/
+    ftp://ftp.kddlabs.co.jp/X11/kde/${_master_subdir}/
+    ftp://ftp.mirror.ac.uk/sites/ftp.kde.org/pub/kde/${_master_subdir}/
+    ftp://ftp.dataplus.se/pub/linux/kde/${_master_subdir}/
+    ftp://ftp.informatik.hu-berlin.de/pub/Mirrors/ftp.kde.org/${_master_subdir}/
+    ftp://ftp.chg.ru/pub/X11/kde/${_master_subdir}/
+}
+
+default master_site_mozilla {
+    http://download.mozilla.org/pub/${_master_subdir}/
+    ftp://ftp.mozilla.org/pub/${_master_subdir}/
+    ftp://sunsite.utk.edu/pub/netscape-source/${_master_subdir}/
+    ftp://ftp.informatik.uni-bonn.de/pub/www/mozilla/${_master_subdir}/
+    ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/ftp.mozilla.org/pub/${_master_subdir}/
+    ftp://sunsite.auc.dk/pub/mozilla/${_master_subdir}/
+    ftp://ftp.funet.fi/pub/mirrors/ftp.mozilla.org/pub/${_master_subdir}/
+    ftp://ftp.sunsite.kth.se/archive/www/ftp.mozilla.org/${_master_subdir}/
+    ftp://ftp2.sinica.edu.tw/pub3/www/mozilla/${_master_subdir}/
+    ftp://ftp.is.co.za/networking/info-service/www/clients/netscape/mozilla/${_master_subdir}/
+    ftp://ftp.rediris.es/mirror/mozilla/${_master_subdir}/
+    ftp://ftp.chg.ru/pub/WWW/mozilla/${_master_subdir}/
+}
+
+default master_site_perl_cpan {
+    http://www.cpan.dk/CPAN/modules/by-module/${_master_subdir}/
+    ftp://ftp.funet.fi/pub/languages/perl/CPAN/modules/by-module/${_master_subdir}/
+    ftp://ftp.cpan.org/pub/CPAN/modules/by-module/${_master_subdir}/
+    ftp://uiarchive.uiuc.edu/pub/ftp/cpan.cse.msu.edu/modules/by-module/${_master_subdir}/
+    ftp://ftp.kddlabs.co.jp/lang/perl/CPAN/modules/by-module/${_master_subdir}/
+    ftp://ftp.sunet.se/pub/lang/perl/CPAN/modules/by-module/${_master_subdir}/
+    ftp://mirror.hiwaay.net/CPAN/modules/by-module/${_master_subdir}/
+    ftp://ftp.bora.net/pub/CPAN/modules/by-module/${_master_subdir}/
+    ftp://ftp.mirror.ac.uk/sites/ftp.funet.fi/pub/languages/perl/CPAN/modules/by-module/${_master_subdir}/
+    ftp://bioinfo.weizmann.ac.il/pub/software/perl/CPAN/modules/by-module/${_master_subdir}/
+    ftp://csociety-ftp.ecn.purdue.edu/pub/CPAN/modules/by-module/${_master_subdir}/
+    ftp://ftp.auckland.ac.nz/pub/perl/CPAN/modules/by-module/${_master_subdir}/
+    ftp://ftp.isu.net.sa/pub/CPAN/modules/by-module/${_master_subdir}/
+    ftp://ftp.ucr.ac.cr/pub/Unix/CPAN/modules/by-module/${_master_subdir}/
+    ftp://ftp.cs.colorado.edu/pub/perl/CPAN/modules/by-module/${_master_subdir}/
+    ftp://cpan.pop-mg.com.br/pub/CPAN/modules/by-module/${_master_subdir}/
+    ftp://ftp.is.co.za/programming/perl/CPAN/modules/by-module/${_master_subdir}/
+    http://cpan.shellhung.org/modules/by-module/${_master_subdir}/
+    ftp://sunsite.org.uk/packages/perl/CPAN/modules/by-module/${_master_subdir}/
+    ftp://ftp.chg.ru/pub/lang/perl/CPAN/modules/by-module/${_master_subdir}/
+}
+
+default master_site_ruby {
+    ftp://ftp.ruby-lang.org/pub/ruby/${_master_subdir}/
+    ftp://ftp.fu-berlin.de/unix/languages/ruby/${_master_subdir}/
+    ftp://ftp.TokyoNet.AD.JP/pub/misc/ruby/${_master_subdir}/
+    ftp://ftp.iij.ad.jp/pub/lang/ruby/${_master_subdir}/
+    ftp://ftp.iDaemons.org/pub/mirror/ftp.ruby-lang.org/ruby/${_master_subdir}/
+    ftp://ftp.kr.FreeBSD.org/pub/ruby/${_master_subdir}/
+    ftp://ftp.easynet.be/ruby/ruby/${_master_subdir}/
+    http://mirrors.sunsite.dk/ruby/${_master_subdir}/
+    ftp://ftp.ntua.gr/pub/lang/ruby/${_master_subdir}/
+    ftp://ftp.chg.ru/pub/lang/ruby/${_master_subdir}/
+}
+
+default master_site_sourceware {
+    http://mirrors.rcn.net/pub/sourceware/${_master_subdir}/
+    ftp://mirrors.rcn.net/mirrors/sources.redhat.com/${_master_subdir}/
+    ftp://ftp.funet.fi/pub/mirrors/sources.redhat.com/pub/${_master_subdir}/
+    ftp://ftp.pvv.ntnu.no/pub/cygnus/sourceware.cygnus.com/${_master_subdir}/
+    ftp://ftp1.sinica.edu.tw/pub3/CYGNUS/${_master_subdir}/
+    ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/sources.redhat.com/${_master_subdir}/
+    ftp://gd.tuwien.ac.at/gnu/sourceware/${_master_subdir}/
+    ftp://ftp.unina.it/pub/Unix/cygnus/${_master_subdir}/
+    ftp://ftp.sdn.co.za/mirrors/sourceware.cygnus.com/pub/${_master_subdir}/
+    http://sunsite.org.uk/Mirrors/sourceware.cygnus.com/pub/${_master_subdir}/
+    ftp://unix.hensa.ac.uk/mirrors/sourceware.cygnus.com/pub/${_master_subdir}/
+    ftp://sunsite.org.uk/Mirrors/sourceware.cygnus.com/pub/${_master_subdir}/
+}
+
+default master_site_sourceforge {
+    http://us.dl.sourceforge.net/${_master_subdir}/
+    http://eu.dl.sourceforge.net/${_master_subdir}/
+    ftp://us.dl.sourceforge.net/pub/sourceforge/${_master_subdir}/
+    ftp://ftp.kddlabs.co.jp/sourceforge/${_master_subdir}/
+    ftp://ftp.chg.ru/pub/sourceforge/${_master_subdir}/
+}
+
+default master_site_sunsite {
+    ftp://metalab.unc.edu/pub/Linux/${_master_subdir}/
+    ftp://ftp.oit.unc.edu/pub/Linux/${_master_subdir}/
+    http://www.ibiblio.org/pub/Linux/${_master_subdir}/
+    http://linux.dsi.internet2.edu/${_master_subdir}/
+    ftp://ftp.unicamp.br/pub/systems/Linux/${_master_subdir}/
+    ftp://ftp.tuwien.ac.at/pub/linux/ibiblio/${_master_subdir}/
+    ftp://sunsite.cnlab-switch.ch/mirror/linux/sunsite/${_master_subdir}/
+    ftp://ftp.cs.tu-berlin.de/pub/linux/Mirrors/sunsite.unc.edu/${_master_subdir}/
+    ftp://ftp.fu-berlin.de/unix/linux/mirrors/sunsite.unc.edu/${_master_subdir}/
+    ftp://ftp.uni-bremen.de/pub/mirrors/sunsite/${_master_subdir}/
+    ftp://ftp.uni-jena.de/pub/linux/MIRROR.sunsite/${_master_subdir}/
+    ftp://ftp.rz.uni-karlsruhe.de/pub/mirror/ftp.uni-tuebingen.de/pub/linux/mirrors/ftp.metalab.unc.edu/pub/Linux/${_master_subdir}/
+    ftp://ftp.uni-magdeburg.de/pub/mirror/linux/ftp.metalab.unc.edu/${_master_subdir}/
+    ftp://ftp.uni-stuttgart.de/pub/mirror/sunsite.unc.edu/pub/Linux/${_master_subdir}/
+    ftp://ftp.uniovi.es/pub1/linux/${_master_subdir}/
+    ftp://ftp.lip6.fr/pub/linux/sunsite/${_master_subdir}/
+    ftp://ftp.medasys-digital-systems.fr/pub1/linux/sunsite/${_master_subdir}/
+    ftp://ftp.uvsq.fr/pub5/linux/sunsite/${_master_subdir}/
+    ftp://ftp.leidenuniv.nl/pub/linux/sunsite/${_master_subdir}/
+    ftp://ftp.nvg.ntnu.no/pub/mirrors/metalab.unc.edu/${_master_subdir}/
+    ftp://ftp.icm.edu.pl/vol/rzm1/linux-sunsite/${_master_subdir}/
+    ftp://ftp.man.poznan.pl/vols/vol1/sunsite/${_master_subdir}/
+    ftp://ftp.pku.edu.cn/pub/linux/${_master_subdir}/
+    ftp://ftp.cse.cuhk.edu.hk/pub4/Linux/${_master_subdir}/
+    ftp://ftp.kobe-u.ac.jp/pub/Linux/metalab.unc.edu/${_master_subdir}/
+    ftp://ftp.kddlabs.co.jp/Linux/metalab.unc.edu/${_master_subdir}/
+    ftp://sunsite.tus.ac.jp/pub/archives/linux/sunsite-unc/${_master_subdir}/
+    ftp://ftp.dacom.co.kr/pub/mirrors/metalab.unc.edu/Linux/${_master_subdir}/
+    ftp://ftp.funet.fi/pub/Linux/mirrors/metalab/${_master_subdir}/
+    ftp://sunsite.doc.ic.ac.uk/packages/linux/sunsite.unc-mirror/${_master_subdir}/
+    ftp://ftp.nluug.nl/vol/3/metalab/${_master_subdir}/
+    ftp://ftp.is.co.za/linux/sunsite/${_master_subdir}/
+    ftp://ftp.chg.ru/pub/Linux/sunsite/${_master_subdir}/
+}
+
+default master_site_tcltk {
+    ftp://ftp.scriptics.com/pub/tcl/${_master_subdir}/
+    ftp://mirror.neosoft.com/pub/tcl/mirror/ftp.scriptics.com/${_master_subdir}/
+    ftp://sunsite.utk.edu/pub/tcl/${_master_subdir}/
+    ftp://ftp.funet.fi/pub/languages/tcl/tcl/${_master_subdir}/
+    ftp://ftp.uu.net/languages/tcl/${_master_subdir}/
+    ftp://ftp.kddlabs.co.jp/lang/tcl/ftp.scriptics.com/${_master_subdir}/
+    ftp://ftp.cs.tu-berlin.de/pub/tcl/distrib/${_master_subdir}/
+    ftp://ftp.srcc.msu.su/mirror/ftp.scriptics.com/pub/tcl/${_master_subdir}/
+    ftp://ftp.lip6.fr/pub/tcl/distrib/${_master_subdir}/
+    ftp://ftp.mirror.ac.uk/sites/ftp.scriptics.com/pub/tcl/${_master_subdir}/
+    ftp://sunsite.org.uk/Mirrors/ftp.scriptics.com/pub/tcl/${_master_subdir}/
+}
+
+default master_site_tex_ctan {
+    ftp://wuarchive.wustl.edu/packages/TeX/${_master_subdir}/ 
+    ftp://ftp.funet.fi/pub/TeX/CTAN/${_master_subdir}/ 
+    ftp://ctan.unsw.edu.au/tex-archive/${_master_subdir}/
+    ftp://ftp.cise.ufl.edu/tex-archive/${_master_subdir}/
+    ftp://ftp.tex.ac.uk/tex-archive/${_master_subdir}/ 
+    ftp://ftp.kddlabs.co.jp/CTAN/${_master_subdir}/
+    ftp://sunsite.auc.dk/pub/tex/ctan/${_master_subdir}/
+    ftp://ctan.tug.org/tex-archive/${_master_subdir}/
+    ftp://ftp.dante.de/tex-archive/${_master_subdir}/
+    ftp://ftp.chg.ru/pub/TeX/CTAN/${_master_subdir}/
+}
+
+default master_site_themes {
+    ftp://ftp.themes.org/pub/themes/${_master_subdir}/
+    ftp://ftp.tuwien.ac.at/opsys/linux/themes.org/${_master_subdir}/
+    ftp://ftp.debian.org/pub/mirrors/themes.org/${_master_subdir}/
+    ftp://ftp.chg.ru/pub/X11/themes/${_master_subdir}/
+}
+
+default master_site_windowmaker {
+    ftp://ftp.windowmaker.org/pub/${_master_subdir}/
+    ftp://ftp.goldweb.com.au/pub/WindowMaker/${_master_subdir}/
+    ftp://ftp.kddlabs.co.jp/X11/window_managers/windowmaker/${_master_subdir}/
+    ftp://ftp.ameth.org/pub/mirrors/ftp.windowmaker.org/${_master_subdir}/
+    ftp://ftp.minet.net/pub/windowmaker/${_master_subdir}/
+    ftp://ftp.dti.ad.jp/pub/X/WindowMaker/${_master_subdir}/
+    ftp://ftp.chg.ru/pub/X11/windowmanagers/windowmaker/${_master_subdir}/
+}
+
+default master_site_xcontrib {
+    ftp://crl.dec.com/pub/X11/contrib/${_master_subdir}/
+    ftp://ftp.net.ohio-state.edu/disk/d/X11/contrib/${_master_subdir}/
+    ftp://uiarchive.uiuc.edu/pub/ftp/ftp.x.org/contrib/${_master_subdir}/
+    ftp://ftp.gwdg.de/pub/x11/x.org/contrib/${_master_subdir}/
+    ftp://ftp.duke.edu/pub/X11/contrib/${_master_subdir}/
+    ftp://ftp.x.org/contrib/${_master_subdir}/
+    ftp://ftp.sunet.se/pub/X11/contrib/${_master_subdir}/
+    ftp://ftp.kddlabs.co.jp/X11/contrib/${_master_subdir}/
+    ftp://mirror.xmission.com/X/contrib/${_master_subdir}/
+    ftp://ftp2.x.org/contrib/${_master_subdir}/
+    ftp://sunsite.tus.ac.jp/pub/archives/X11/contrib/${_master_subdir}/
+    ftp://ftp.is.co.za/x/contrib/${_master_subdir}/
+    ftp://ftp.sunet.se/pub/X11/contrib/${_master_subdir}/
+    ftp://ftp.mirror.ac.uk/sites/ftp.x.org/contrib/${_master_subdir}/
+    ftp://ftp.dl.ac.uk/src/X/contrib/${_master_subdir}/
+    ftp://sunsite.org.uk/Mirrors/ftp.x.org/contrib/${_master_subdir}/
+    ftp://ftp.chg.ru/pub/X11/contrib/${_master_subdir}/
+}
+
+default master_site_xemacs {
+    ftp://ftp.xemacs.org/pub/xemacs/${_master_subdir}/
+    ftp://ftp.mpi-sb.mpg.de/pub/gnu/mirror/ftp.xemacs.org/xemacs/${_master_subdir}/
+    ftp://ftp.usyd.edu.au/pub/xemacs/${_master_subdir}/
+    ftp://ftp.lab.kdd.co.jp/xemacs/${_master_subdir}/
+    ftp://ftp.th-darmstadt.de/pub/editors/xemacs/${_master_subdir}/
+}
+
+default master_site_xfree {
+    ftp://ftp.xfree86.org/pub/XFree86/${_master_subdir}/source/
+    ftp://ftp.rge.com/pub/X/XFree86/${_master_subdir}/source/
+    ftp://archive.progeny.com/XFree86/${_master_subdir}/source/
+    ftp://ftp.mirrorcentral.com/pub/XFree86/${_master_subdir}/source/
+    ftp://gd.tuwien.Ac.at/hci/X11/XFree86/${_master_subdir}/source/
+    ftp://ftp.fit.vutbr.cz/pub/XFree86/${_master_subdir}/source/
+    ftp://ftp.free.fr/pub/XFree86/${_master_subdir}/source/
+    ftp://mir1.ovh.net/ftp.xfree86.org/${_master_subdir}/source/
+    ftp://ftp.lami.univ-evry.fr/XFree86/${_master_subdir}/source/
+    ftp://ftp.cs.tu-berlin.de/pub/X/XFree86/${_master_subdir}/source/
+    ftp://ftp.gwdg.de/pub/xfree86/XFree86/${_master_subdir}/source/
+    http://ftp-stud.fht-esslingen.de/pub/Mirrors/ftp.xfree86.org/XFree86/${_master_subdir}/source/
+    ftp://ftp.rediris.es/mirror/XFree86/${_master_subdir}/source/
+    ftp://ftp.esat.net/pub/X11/XFree86/${_master_subdir}/source/
+    ftp://ftp.nl.uu.net/pub/XFree86/${_master_subdir}/source/
+    ftp://sunsite.uio.no/pub/XFree86/${_master_subdir}/source/
+    ftp://ftp.task.gda.pl/pub/XFree86/${_master_subdir}/source/
+    ftp://ftp.physics.uvt.ro/pub/XFree86/${_master_subdir}/source/
+    ftp://ftp.chg.ru/pub/XFree86/${_master_subdir}/source/
+}
Index: trunk/base/doc/prefix.mtree
===================================================================
--- trunk/base/doc/prefix.mtree	(revision 1205)
+++ trunk/base/doc/prefix.mtree	(revision 1205)
@@ -0,0 +1,242 @@
+# $FreeBSD: src/etc/mtree/BSD.local.dist,v 1.55.2.19 2002/08/17 19:11:15 ache Exp $
+#
+# Please see the file src/etc/mtree/README before making changes to this file.
+#
+
+/set type=dir uname=root gname=admin mode=0775
+.
+    bin
+    ..
+    doc
+    ..
+    etc
+    ..
+    include
+    ..
+    info
+    ..
+    lib
+    ..
+    libexec
+    ..
+    man
+        cat1
+        ..
+        cat2
+        ..
+        cat3
+        ..
+        cat4
+        ..
+        cat5
+        ..
+        cat6
+        ..
+        cat7
+        ..
+        cat8
+        ..
+        cat9
+        ..
+        catl
+        ..
+        catn
+        ..
+        man1
+        ..
+        man2
+        ..
+        man3
+        ..
+        man4
+        ..
+        man5
+        ..
+        man6
+        ..
+        man7
+        ..
+        man8
+        ..
+        man9
+        ..
+        manl
+        ..
+        mann
+        ..
+    ..
+    sbin
+    ..
+    share
+        nls
+            C
+            ..
+            af_ZA.ISO8859-1
+            ..
+            af_ZA.ISO8859-15
+            ..
+            bg_BG.CP1251
+            ..
+            cs_CZ.ISO8859-2
+            ..
+            da_DK.ISO8859-1
+            ..
+            da_DK.ISO8859-15
+            ..
+            de_AT.ISO8859-1
+            ..
+            de_AT.ISO8859-15
+            ..
+            de_CH.ISO8859-1
+            ..
+            de_CH.ISO8859-15
+            ..
+            de_DE.ISO8859-1
+            ..
+            de_DE.ISO8859-15
+            ..
+            el_GR.ISO8859-7
+            ..
+            en_AU.ISO8859-1
+            ..
+            en_AU.ISO8859-15
+            ..
+            en_AU.US-ASCII
+            ..
+            en_CA.ISO8859-1
+            ..
+            en_CA.ISO8859-15
+            ..
+            en_CA.US-ASCII
+            ..
+            en_GB.ISO8859-1
+            ..
+            en_GB.ISO8859-15
+            ..
+            en_GB.US-ASCII
+            ..
+            en_NZ.ISO8859-1
+            ..
+            en_NZ.ISO8859-15
+            ..
+            en_NZ.US-ASCII
+            ..
+            en_US.ISO8859-1
+            ..
+            en_US.ISO8859-15
+            ..
+            es_ES.ISO8859-1
+            ..
+            es_ES.ISO8859-15
+            ..
+            et_EE.ISO8859-15
+            ..
+            fi_FI.ISO8859-1
+            ..
+            fi_FI.ISO8859-15
+            ..
+            fr_BE.ISO8859-1
+            ..
+            fr_BE.ISO8859-15
+            ..
+            fr_CA.ISO8859-1
+            ..
+            fr_CA.ISO8859-15
+            ..
+            fr_CH.ISO8859-1
+            ..
+            fr_CH.ISO8859-15
+            ..
+            fr_FR.ISO8859-1
+            ..
+            fr_FR.ISO8859-15
+            ..
+            hi_IN.ISCII-DEV
+            ..
+            hr_HR.ISO8859-2
+            ..
+            hu_HU.ISO8859-2
+            ..
+            is_IS.ISO8859-1
+            ..
+            is_IS.ISO8859-15
+            ..
+            it_CH.ISO8859-1
+            ..
+            it_CH.ISO8859-15
+            ..
+            it_IT.ISO8859-1
+            ..
+            it_IT.ISO8859-15
+            ..
+            ja_JP.SJIS
+            ..
+            ja_JP.eucJP
+            ..
+            ko_KR.eucKR
+            ..
+            la_LN.ISO8859-1
+            ..
+            la_LN.ISO8859-15
+            ..
+            la_LN.ISO8859-2
+            ..
+            la_LN.ISO8859-4
+            ..
+            la_LN.US-ASCII
+            ..
+            lt_LT.ISO8859-4
+            ..
+            nl_BE.ISO8859-1
+            ..
+            nl_BE.ISO8859-15
+            ..
+            nl_NL.ISO8859-1
+            ..
+            nl_NL.ISO8859-15
+            ..
+            no_NO.ISO8859-1
+            ..
+            no_NO.ISO8859-15
+            ..
+            pl_PL.ISO8859-2
+            ..
+            pt_BR.ISO8859-1
+            ..
+            pt_PT.ISO8859-1
+            ..
+            pt_PT.ISO8859-15
+            ..
+            ro_RO.ISO8859-2
+            ..
+            ru_RU.CP866
+            ..
+            ru_RU.ISO8859-5
+            ..
+            ru_RU.KOI8-R
+            ..
+            sk_SK.ISO8859-2
+            ..
+            sl_SI.ISO8859-2
+            ..
+            sv_SE.ISO8859-1
+            ..
+            sv_SE.ISO8859-15
+            ..
+            tr_TR.ISO8859-9
+            ..
+            uk_UA.ISO8859-5
+            ..
+            uk_UA.KOI8-U
+            ..
+            zh_CN.eucCN
+            ..
+            zh_TW.Big5
+            ..
+        ..
+        skel
+        ..
+        xml
+        ..
+    ..
+..
Index: trunk/base/src/port/Makefile
===================================================================
--- trunk/base/src/port/Makefile	(revision 1200)
+++ trunk/base/src/port/Makefile	(revision 1205)
@@ -13,6 +13,5 @@
 
 mkdirs:
-	mkdir -p ${PREFIX}/bin
-	mkdir -p ${PREFIX}/man/man1
+	mtree -U -f ../../doc/prefix.mtree -d -e -p ${PREFIX} > /dev/null
 
 install: mkdirs
Index: trunk/base/src/port1.0/portinstall.tcl
===================================================================
--- trunk/base/src/port1.0/portinstall.tcl	(revision 1200)
+++ trunk/base/src/port1.0/portinstall.tcl	(revision 1205)
@@ -40,7 +40,9 @@
 
 # define options
-options build.target.install
+options build.target.install no_mtree mtree.file
+
 # Set defaults
 default build.target.install install
+default mtree.file /etc/ports/prefix.mtree
 
 set UI_PREFIX "---> "
@@ -53,12 +55,9 @@
 
 proc install_main {args} {
-    global portname portversion portpath categories description depends_run contents workdir worksrcdir prefix build.type build.cmd build.target.install UI_PREFIX build.target.current
+    global portname portversion portpath categories description depends_run contents workdir worksrcdir prefix build.type build.cmd build.target.install UI_PREFIX build.target.current no_mtree mtree.file 
 
-    if ![file exists $prefix] {
-	ui_msg "Warning: The directory $prefix does not exist, creating it."
-	if [catch {exec mkdir -p $prefix} err] {
-	    ui_error "Could not make directory for ${prefix}: $err"
-	    return -code error "Could not make directory for ${prefix}: $err"
-	}
+    # At some point this may popular $destdir instead
+    if {![tbool no_mtree] && [file exists ${mtree.file}]} {
+	system "mtree -U -f ${mtree.file} -d -e -p $prefix > /dev/null"
     }
 