Index: trunk/dports/devel/senfoundation/Portfile
===================================================================
--- trunk/dports/devel/senfoundation/Portfile	(revision 1218)
+++ trunk/dports/devel/senfoundation/Portfile	(revision 1218)
@@ -0,0 +1,24 @@
+PortSystem 1.0
+name					senfoundation
+version					25
+categories				devel
+maintainers				michaelm@opendarwin.org
+description				Unit testing framework for Objective-C
+long_description		OCUnit is a testing framework for Objective C in the Mac OS X, Mac OS X Server, YellowBox/Cocoa and WebObjects environments.  This Objective C testing framework is a based on SUnit, Kent Beck's Smalltalk unit testing framework, also available for Java under the name JUnit, and is distributed as open source.
+platforms				darwin
+
+master_sites			ftp://ftp.sente.ch/pub/software/OCUnit/
+distname				OCUnitSourceDistribution_v${version}
+checksums				md5 3260eb3fd4b0ddcf358ce7a9cdcbe7c8
+
+extract.post_args		| gnutar -x
+
+worksrcdir 				OCUnitSourceDistribution/SenFoundation
+configure 				{}
+build.cmd 				pbxbuild
+build.target.all	
+
+install				{system "cd ${worksrcpath} && ditto -v build/SenFoundation.framework \
+					   /Library/Frameworks/SenFoundation.framework "}
+
+include contents
Index: trunk/dports/devel/senfoundation/contents
===================================================================
--- trunk/dports/devel/senfoundation/contents	(revision 1218)
+++ trunk/dports/devel/senfoundation/contents	(revision 1218)
@@ -0,0 +1,131 @@
+contents \
+/Library/Frameworks/SenFoundation.framework/Headers/NSArray_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Headers/NSBundle_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Headers/NSException_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Headers/NSMutableDictionary_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Headers/NSNumber_Extensions.h \
+/Library/Frameworks/SenFoundation.framework/Headers/NSObject_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Headers/NSObject_SenRuntimeUtilities.h \
+/Library/Frameworks/SenFoundation.framework/Headers/NSObject_SenTree.h \
+/Library/Frameworks/SenFoundation.framework/Headers/NSString_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Headers/NSTask_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Headers/NSUserDefaults_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Headers/SenAssertion.h \
+/Library/Frameworks/SenFoundation.framework/Headers/SenCollection.h \
+/Library/Frameworks/SenFoundation.framework/Headers/SenDateInterval.h \
+/Library/Frameworks/SenFoundation.framework/Headers/SenEmptiness.h \
+/Library/Frameworks/SenFoundation.framework/Headers/SenFileSystemTree.h \
+/Library/Frameworks/SenFoundation.framework/Headers/SenFoundation.h \
+/Library/Frameworks/SenFoundation.framework/Headers/SenFoundationDefines.h \
+/Library/Frameworks/SenFoundation.framework/Headers/SenMutableTree.h \
+/Library/Frameworks/SenFoundation.framework/Headers/SenQualifier.h \
+/Library/Frameworks/SenFoundation.framework/Headers/SenRandom.h \
+/Library/Frameworks/SenFoundation.framework/Headers/SenSelection.h \
+/Library/Frameworks/SenFoundation.framework/Headers/SenSortOrdering.h \
+/Library/Frameworks/SenFoundation.framework/Headers/SenTreeEnumerator.h \
+/Library/Frameworks/SenFoundation.framework/Headers/SenTrees.h \
+/Library/Frameworks/SenFoundation.framework/Headers/SenUtilities.h \
+/Library/Frameworks/SenFoundation.framework/Headers/SenValueTree.h \
+/Library/Frameworks/SenFoundation.framework/Headers \
+/Library/Frameworks/SenFoundation.framework/Resources/BundleInserter-windows.gdb \
+/Library/Frameworks/SenFoundation.framework/Resources/BundleInserter-windows.postamble \
+/Library/Frameworks/SenFoundation.framework/Resources/BundleInserter-windows.preamble \
+/Library/Frameworks/SenFoundation.framework/Resources/BundleInserter.gdb \
+/Library/Frameworks/SenFoundation.framework/Resources/BundleInserter.postamble \
+/Library/Frameworks/SenFoundation.framework/Resources/BundleInserter.preamble \
+/Library/Frameworks/SenFoundation.framework/Resources/English.lproj/SenDateInterval.strings \
+/Library/Frameworks/SenFoundation.framework/Resources/English.lproj \
+/Library/Frameworks/SenFoundation.framework/Resources/French.lproj/SenDateInterval.strings \
+/Library/Frameworks/SenFoundation.framework/Resources/French.lproj \
+/Library/Frameworks/SenFoundation.framework/Resources/Info.plist \
+/Library/Frameworks/SenFoundation.framework/Resources/pbdevelopment.plist \
+/Library/Frameworks/SenFoundation.framework/Resources \
+/Library/Frameworks/SenFoundation.framework/SenFoundation \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/NSArray_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/NSBundle_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/NSException_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/NSMutableDictionary_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/NSNumber_Extensions.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/NSObject_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/NSObject_SenRuntimeUtilities.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/NSObject_SenTree.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/NSString_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/NSTask_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/NSUserDefaults_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenAssertion.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenCollection.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenDateInterval.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenEmptiness.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenFileSystemTree.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenFoundation.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenFoundationDefines.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenMutableTree.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenQualifier.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenRandom.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenSelection.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenSortOrdering.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenTreeEnumerator.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenTrees.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenUtilities.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenValueTree.h \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Headers \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/BundleInserter-windows.gdb \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/BundleInserter-windows.postamble \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/BundleInserter-windows.preamble \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/BundleInserter.gdb \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/BundleInserter.postamble \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/BundleInserter.preamble \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/English.lproj/SenDateInterval.strings \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/English.lproj \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/French.lproj/SenDateInterval.strings \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/French.lproj \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/Info.plist \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/pbdevelopment.plist \
+/Library/Frameworks/SenFoundation.framework/Versions/A/Resources \
+/Library/Frameworks/SenFoundation.framework/Versions/A/SenFoundation \
+/Library/Frameworks/SenFoundation.framework/Versions/A \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/NSArray_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/NSBundle_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/NSException_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/NSMutableDictionary_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/NSNumber_Extensions.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/NSObject_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/NSObject_SenRuntimeUtilities.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/NSObject_SenTree.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/NSString_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/NSTask_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/NSUserDefaults_SenAdditions.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenAssertion.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenCollection.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenDateInterval.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenEmptiness.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenFileSystemTree.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenFoundation.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenFoundationDefines.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenMutableTree.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenQualifier.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenRandom.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenSelection.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenSortOrdering.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenTreeEnumerator.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenTrees.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenUtilities.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenValueTree.h \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/BundleInserter-windows.gdb \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/BundleInserter-windows.postamble \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/BundleInserter-windows.preamble \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/BundleInserter.gdb \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/BundleInserter.postamble \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/BundleInserter.preamble \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/English.lproj/SenDateInterval.strings \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/English.lproj \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/French.lproj/SenDateInterval.strings \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/French.lproj \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/Info.plist \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/pbdevelopment.plist \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources \
+/Library/Frameworks/SenFoundation.framework/Versions/Current/SenFoundation \
+/Library/Frameworks/SenFoundation.framework/Versions/Current \
+/Library/Frameworks/SenFoundation.framework/Versions \
+/Library/Frameworks/SenFoundation.framework 