Index: trunk/dports/devel/sentestingkit/Portfile
===================================================================
--- trunk/dports/devel/sentestingkit/Portfile	(revision 1219)
+++ trunk/dports/devel/sentestingkit/Portfile	(revision 1219)
@@ -0,0 +1,27 @@
+PortSystem 1.0
+name				sentestingkit
+version				25
+categories			devel
+maintainers			drernie@opendarwin.org
+description			Unit testing framework for Objective-C
+long_description	OCUnit is a testing framework for Objective C in the Mac OS X, Mac OS X Server, YellowBox/Cocoa and WebObjects environments.  This Objective C testing framework is a based on SUnit, Kent Beck's Smalltalk unit testing framework, also available for Java under the name JUnit, and is distributed as open source.
+platforms			darwin
+
+master_sites		ftp://ftp.sente.ch/pub/software/OCUnit/
+distname			OCUnitSourceDistribution_v${version}
+checksums			md5 3260eb3fd4b0ddcf358ce7a9cdcbe7c8
+depends_lib			file:/Library/Frameworks/SenFoundation.framework:senfoundation 
+extract.post_args	| gnutar -x
+
+worksrcdir 			OCUnitSourceDistribution/OCUnit/SenTestingKit
+
+configure {}
+
+build.cmd 			pbxbuild
+
+build.target.all			
+
+install				{system "cd ${worksrcpath} && ditto -v build/SenTestingKit.framework \
+					   /Library/Frameworks/SenTestingKit.framework "}
+
+include contents
Index: trunk/dports/devel/sentestingkit/contents
===================================================================
--- trunk/dports/devel/sentestingkit/contents	(revision 1219)
+++ trunk/dports/devel/sentestingkit/contents	(revision 1219)
@@ -0,0 +1,37 @@
+contents \
+/Library/Frameworks/SenTestingKit.framework/Headers \
+/Library/Frameworks/SenTestingKit.framework/Resources \
+/Library/Frameworks/SenTestingKit.framework/SenTestingKit \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/NSException_SenTestFailure.h \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenInterfaceTestCase.h \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTest.h \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestCase.h \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestCase_Macros.h \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestCaseRun.h \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestDefines.h \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestDistributedNotifier.h \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestingKit.h \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestLog.h \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestObserver.h \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestProbe.h \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestRun.h \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestSuite.h \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestSuiteRun.h \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources/ApplicationWrapperExtensions.plist \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources/Documentation/IntroSenTestingKit.html \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources/Documentation/SenTest.html \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources/Documentation/SenTestCase.html \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources/Documentation/SenTestingKitTOC.html \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources/Documentation/SenTestSuite.html \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources/Documentation \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources/Info.plist \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources/NoSourceDirectoryExtensions.plist \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources/pbdevelopment.plist \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources/SenTestRun.html \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources \
+/Library/Frameworks/SenTestingKit.framework/Versions/A/SenTestingKit \
+/Library/Frameworks/SenTestingKit.framework/Versions/A \
+/Library/Frameworks/SenTestingKit.framework/Versions/Current \
+/Library/Frameworks/SenTestingKit.framework/Versions \
+/Library/Frameworks/SenTestingKit.framework \