Index: trunk/dports/devel/shikenjo/Portfile
===================================================================
--- trunk/dports/devel/shikenjo/Portfile	(revision 1221)
+++ trunk/dports/devel/shikenjo/Portfile	(revision 1221)
@@ -0,0 +1,25 @@
+PortSystem 1.0
+name				shikenjo
+version				25
+categories			devel
+maintainers			michaelm@opendarwin.org
+description			Unit testing framework for Objective-C
+long_description	OCUnit is a testing framework for Objective C in the Mac OS X, Mac OS X Server, YellowBox/Cocoa and WebObjects environments.  This Objective C testing framework is a based on SUnit, Kent Beck's Smalltalk unit testing framework, also available for Java under the name JUnit, and is distributed as open source.
+platforms			darwin
+
+master_sites		ftp://ftp.sente.ch/pub/software/OCUnit/
+distname			OCUnitSourceDistribution_v${version}
+checksums			md5 3260eb3fd4b0ddcf358ce7a9cdcbe7c8
+depends_lib			path:/Library/Frameworks/SenTestingKit:sentestingkit
+extract.post_args	| gnutar -x
+
+worksrcdir 			OCUnitSourceDistribution/OCUnit/Shikenjo
+
+configure {}
+build.cmd 			pbxbuild
+
+build.target.all			
+install				{system "cd ${worksrcpath} && ditto -v build/Shikenjo.app \
+					   /Applications/Shikenjo.app "}
+
+include contents
Index: trunk/dports/devel/shikenjo/contents
===================================================================
--- trunk/dports/devel/shikenjo/contents	(revision 1221)
+++ trunk/dports/devel/shikenjo/contents	(revision 1221)
@@ -0,0 +1,37 @@
+contents \
+/Applications/Shikenjo.app/Contents/Info.plist \
+/Applications/Shikenjo.app/Contents/MacOS/Shikenjo \
+/Applications/Shikenjo.app/Contents/MacOS \
+/Applications/Shikenjo.app/Contents/pbdevelopment.plist \
+/Applications/Shikenjo.app/Contents/PkgInfo \
+/Applications/Shikenjo.app/Contents/Resources/English.lproj/InfoPanel-macos.nib/classes.nib \
+/Applications/Shikenjo.app/Contents/Resources/English.lproj/InfoPanel-macos.nib/info.nib \
+/Applications/Shikenjo.app/Contents/Resources/English.lproj/InfoPanel-macos.nib/objects.nib \
+/Applications/Shikenjo.app/Contents/Resources/English.lproj/InfoPanel-macos.nib \
+/Applications/Shikenjo.app/Contents/Resources/English.lproj/InfoPanel.nib/classes.nib \
+/Applications/Shikenjo.app/Contents/Resources/English.lproj/InfoPanel.nib/objects.nib \
+/Applications/Shikenjo.app/Contents/Resources/English.lproj/InfoPanel.nib \
+/Applications/Shikenjo.app/Contents/Resources/English.lproj/Localizable.strings \
+/Applications/Shikenjo.app/Contents/Resources/English.lproj/Shikenjo-macos.nib/classes.nib \
+/Applications/Shikenjo.app/Contents/Resources/English.lproj/Shikenjo-macos.nib/info.nib \
+/Applications/Shikenjo.app/Contents/Resources/English.lproj/Shikenjo-macos.nib/NSAppleMenuImage.tiff \
+/Applications/Shikenjo.app/Contents/Resources/English.lproj/Shikenjo-macos.nib/objects.nib \
+/Applications/Shikenjo.app/Contents/Resources/English.lproj/Shikenjo-macos.nib \
+/Applications/Shikenjo.app/Contents/Resources/English.lproj/Shikenjo.nib/classes.nib \
+/Applications/Shikenjo.app/Contents/Resources/English.lproj/Shikenjo.nib/NSAppleMenuImage.tiff \
+/Applications/Shikenjo.app/Contents/Resources/English.lproj/Shikenjo.nib/objects.nib \
+/Applications/Shikenjo.app/Contents/Resources/English.lproj/Shikenjo.nib \
+/Applications/Shikenjo.app/Contents/Resources/English.lproj \
+/Applications/Shikenjo.app/Contents/Resources/Error.tiff \
+/Applications/Shikenjo.app/Contents/Resources/Failure.tiff \
+/Applications/Shikenjo.app/Contents/Resources/Inspector.tiff \
+/Applications/Shikenjo.app/Contents/Resources/Klein.tiff \
+/Applications/Shikenjo.app/Contents/Resources/Options.tiff \
+/Applications/Shikenjo.app/Contents/Resources/Run.tiff \
+/Applications/Shikenjo.app/Contents/Resources/Sente.pdf \
+/Applications/Shikenjo.app/Contents/Resources/Sente_70.eps \
+/Applications/Shikenjo.app/Contents/Resources/Shikenjo.tiff \
+/Applications/Shikenjo.app/Contents/Resources/Stop.tiff \
+/Applications/Shikenjo.app/Contents/Resources \
+/Applications/Shikenjo.app/Contents \
+/Applications/Shikenjo.app \