Index: trunk/dports/devel/mhash/Portfile
===================================================================
--- trunk/dports/devel/mhash/Portfile	(revision 1459)
+++ trunk/dports/devel/mhash/Portfile	(revision 1460)
@@ -5,6 +5,8 @@
 categories	security
 maintainers	jpm@opendarwin.org
-description	library provides an easy way to access strong hashes such as MD5 and SHA1
-#long_description	XXX
+description	library provides an easy way to access strong hashes such \
+	as MD5 and SHA1
+long_description	Libmhash is a library which implements some hash \
+	algorithms like crc32, md5 and sha-1.
 platforms	darwin
 master_sites	http://unc.dl.sourceforge.net/sourceforge/mhash/ \
Index: trunk/dports/emulators/bochs/Portfile
===================================================================
--- trunk/dports/emulators/bochs/Portfile	(revision 1459)
+++ trunk/dports/emulators/bochs/Portfile	(revision 1460)
@@ -6,4 +6,9 @@
 maintainers	jpm@opendarwin.org
 description	cross platform ia-32 emulator
+long_description	Bochs is a highly portable open source IA-32 (x86) \
+	PC emulator written in C++, that runs on most popular platforms. \
+	It includes emulation of the Intel x86 CPU, common I/O devices, \
+	and a custom BIOS.  Currently, bochs can be compiled to emulate a \
+	386, 486 or Pentium CPU.
 platforms	darwin
 master_sites	http://unc.dl.sourceforge.net/sourceforge/bochs/ \
Index: trunk/dports/irc/irssi/Portfile
===================================================================
--- trunk/dports/irc/irssi/Portfile	(revision 1459)
+++ trunk/dports/irc/irssi/Portfile	(revision 1460)
@@ -6,5 +6,5 @@
 maintainers	jpm@opendarwin.org
 description	modular IRC client
-#long_description	XXX
+long_description	Irssi is a modular IRC client that currently has only text mode user interface, but 80-90% of the code isn't text mode specific, so other UIs could be created pretty easily. Also, Irssi isn't really even IRC specific anymore, there's already a working SILC module available. Support for other protocols like ICQ could be created some day too.
 platforms	darwin
 master_sites	http://irssi.org/files/
Index: trunk/dports/math/fftw/Portfile
===================================================================
--- trunk/dports/math/fftw/Portfile	(revision 1459)
+++ trunk/dports/math/fftw/Portfile	(revision 1460)
@@ -6,5 +6,13 @@
 maintainers	jpm@opendarwin.org
 description	Fast C routines to compute the Discrete Fourier Transform
-#long_description	XXX
+long_description	FFTW is a C subroutine library for computing the \
+	Discrete Fourier Transform (DFT) in one or more dimensions, of \
+	both real and complex data, and of arbitrary input size. We \
+	believe that FFTW, which is free software, should become the FFT \
+	library of choice for most applications. Our benchmarks, performed \
+	on a variety of platforms, show that FFTW's performance is \
+	typically superior to that of other publicly available FFT \
+	software. Moreover, FFTW's performance is portable: the program \
+	will perform well on most architectures without modification.
 platforms	darwin
 master_sites	http://www.fftw.org/
Index: trunk/dports/math/gnuplot/Portfile
===================================================================
--- trunk/dports/math/gnuplot/Portfile	(revision 1459)
+++ trunk/dports/math/gnuplot/Portfile	(revision 1460)
@@ -5,6 +5,10 @@
 categories	math sci
 maintainers	jpm@opendarwin.org
-description	XXX
-long_description	XXX
+description	A command-driven interactive function plotting program
+long_description	Gnuplot is a command-driven interactive function \
+	plotting program. Plots any number of functions, built up of C \
+	operators, C library functions, and some things C doesn't have like \
+	**, sgn(), etc.  Also support for plotting data files, to compare \
+	actual data to theoretical curves.
 platforms	darwin
 master_sites	ftp://ftp.gnuplot.vt.edu/pub/gnuplot/testing/
Index: trunk/dports/net/arla/Portfile
===================================================================
--- trunk/dports/net/arla/Portfile	(revision 1459)
+++ trunk/dports/net/arla/Portfile	(revision 1460)
@@ -6,5 +6,8 @@
 maintainers	jpm@opendarwin.org
 description	free AFS implementation from KTH
-long_description	XXX
+long_description	Arla is a free AFS client implementation. The main \
+	goal of the Arla project is to make a fully functional client with \
+	all capabilities of commercial AFS. Other planned and implemented \
+	things are all the normal management tools and a server.
 platforms	darwin
 default_variants	+krbafs
Index: trunk/dports/net/curl/Portfile
===================================================================
--- trunk/dports/net/curl/Portfile	(revision 1459)
+++ trunk/dports/net/curl/Portfile	(revision 1460)
@@ -6,5 +6,8 @@
 maintainers	jpm@opendarwin.org
 description	Tool for transferring files with URL syntax
-#long_description	XXX
+long_description	curl is a client to get documents/files from \
+	servers, using any of the supported protocols. The command is \
+	designed to work without user interaction or any kind of \
+	interactivity.
 platforms	darwin freebsd
 master_sites	http://curl.haxx.se/download/ \
Index: trunk/dports/net/jabber/Portfile
===================================================================
--- trunk/dports/net/jabber/Portfile	(revision 1459)
+++ trunk/dports/net/jabber/Portfile	(revision 1460)
@@ -6,5 +6,5 @@
 maintainers	jpm@opendarwin.org
 description	Online presence and instant messaging server
-#long_description	XXX
+long_description	The Jabber server (jabberd) is a daemon for Jabber clients to connect and communicate with.
 platforms	darwin
 master_sites	http://jabberd.jabberstudio.org/downloads/
Index: trunk/dports/net/libpcap/Portfile
===================================================================
--- trunk/dports/net/libpcap/Portfile	(revision 1459)
+++ trunk/dports/net/libpcap/Portfile	(revision 1460)
@@ -6,5 +6,8 @@
 maintainers	jpm@opendarwin.org
 description	Packet Capture library
-long_description	even  those  packets destined  for  other  hosts,  are  accessible through this mechanism.
+long_description	The Packet Capture library provides a high level \
+	interface to packet capture systems. All  packets  on  the network, \
+	even those  destined  for  other  hosts,  are  accessible through \
+	this mechanism.
 platforms	darwin
 master_sites	http://www.tcpdump.org/release/
Index: trunk/dports/net/pycurl/Portfile
===================================================================
--- trunk/dports/net/pycurl/Portfile	(revision 1459)
+++ trunk/dports/net/pycurl/Portfile	(revision 1460)
@@ -6,5 +6,7 @@
 maintainers	jpm@opendarwin.org
 description	python interface to libcurl
-#long_description	XXX
+long_description	Python module interface to the cURL library which is \
+	a tool for transferring files with URL syntax, supporting many \
+	protocols.
 platforms	darwin
 master_sites	http://pycurl.sourceforge.net/download/
Index: trunk/dports/net/radmind/Portfile
===================================================================
--- trunk/dports/net/radmind/Portfile	(revision 1459)
+++ trunk/dports/net/radmind/Portfile	(revision 1460)
@@ -6,5 +6,11 @@
 maintainers	jpm@opendarwin.org
 description	Remotely administer the file systems of multiple unix machines
-long_description	XXX
+long_description	A suite of Unix command-line tools and a server \
+	designed to remotely administer the file systems of multiple Unix \
+	machines. At its core, radmind operates as a tripwire. It is able to \
+	detect changes to any managed filesystem object, e.g. files, \
+	directories, links, etc. However, radmind goes further than just \
+	integrity checking: once a change is detected, radmind can \
+	optionally reverse the change.
 platforms	darwin
 master_sites	http://rsug.itd.umich.edu/software/radmind/files/
Index: trunk/dports/net/tcptrace/Portfile
===================================================================
--- trunk/dports/net/tcptrace/Portfile	(revision 1459)
+++ trunk/dports/net/tcptrace/Portfile	(revision 1460)
@@ -6,5 +6,10 @@
 maintainers	jpm@opendarwin.org
 description	A TCP dump file analysis tool
-long_description	XXX
+long_description	tcptrace a TCP dump file analysis tool written by \
+	Shawn Ostermann at Ohio University. It is NOT a packet capture \
+	program. It reads output dump files in the formats of several \
+	popular packet capturing programs: tcpdump, snoop, etherpeek, and \
+	netm.  It can also output (ie, convert thus converting to) tcpdump \
+	format files.
 platforms	darwin
 master_sites	http://irg.cs.ohiou.edu/software/tcptrace/download/
Index: trunk/dports/print/a2ps/Portfile
===================================================================
--- trunk/dports/print/a2ps/Portfile	(revision 1459)
+++ trunk/dports/print/a2ps/Portfile	(revision 1460)
@@ -6,5 +6,5 @@
 maintainers	jpm@opendarwin.org
 description	an Any to PostScript filter.
-#long_description	XXX
+long_description	 a2ps is a utilty that allows the user to do PostScript manipulations. It is able to pass on processing to other filters, such as gzip and dvips.
 platforms	darwin
 master_sites	http://ftp.gnu.org/gnu/a2ps/
Index: trunk/dports/python/pycurl/Portfile
===================================================================
--- trunk/dports/python/pycurl/Portfile	(revision 1459)
+++ trunk/dports/python/pycurl/Portfile	(revision 1460)
@@ -6,5 +6,7 @@
 maintainers	jpm@opendarwin.org
 description	python interface to libcurl
-#long_description	XXX
+long_description	Python module interface to the cURL library which is \
+	a tool for transferring files with URL syntax, supporting many \
+	protocols.
 platforms	darwin
 master_sites	http://pycurl.sourceforge.net/download/
Index: trunk/dports/science/gromacs/Portfile
===================================================================
--- trunk/dports/science/gromacs/Portfile	(revision 1459)
+++ trunk/dports/science/gromacs/Portfile	(revision 1460)
@@ -6,5 +6,12 @@
 maintainers	jpm@opendarwin.org
 description	The World's fastest Molecular Dynamics
-#long_description	XXX
+long_description	GROMACS is a versatile package to perform molecular \
+	dynamics, i.e. simulate the Newtonian equations of motion for \
+	systems with hundreds to millions of particles. It is primarily \
+	designed for biochemical molecules like proteins and lipids that \
+	have a lot of complicated bonded interactions, but since GROMACS is \
+	extremely fast at calculating the nonbonded interactions (that \
+	usually dominate simulations) many groups are also using it for \
+	research on non-biological systems, e.g. polymers.
 platforms	darwin
 master_sites	ftp://ftp.gromacs.org/pub/beta/
Index: trunk/dports/security/john/Portfile
===================================================================
--- trunk/dports/security/john/Portfile	(revision 1459)
+++ trunk/dports/security/john/Portfile	(revision 1460)
@@ -5,6 +5,8 @@
 categories	net
 maintainers	jpm@opendarwin.org
-description	John the Ripper password cracker
-long_description	XXX
+description	Featureful Unix password cracker
+long_description	John the Ripper is a UNIX password cracker, \
+	currently available for UNIX (tested with Linux x86, FreeBSD x86, \
+	Solaris 2.x SPARC, OSF/1 Alpha), DOS, WinNT/Win95.
 platforms	darwin
 default_variants	+stable
Index: trunk/dports/security/mhash/Portfile
===================================================================
--- trunk/dports/security/mhash/Portfile	(revision 1459)
+++ trunk/dports/security/mhash/Portfile	(revision 1460)
@@ -5,6 +5,8 @@
 categories	security
 maintainers	jpm@opendarwin.org
-description	library provides an easy way to access strong hashes such as MD5 and SHA1
-#long_description	XXX
+description	library provides an easy way to access strong hashes such \
+	as MD5 and SHA1
+long_description	Libmhash is a library which implements some hash \
+	algorithms like crc32, md5 and sha-1.
 platforms	darwin
 master_sites	http://unc.dl.sourceforge.net/sourceforge/mhash/ \
Index: trunk/dports/sysutils/john/Portfile
===================================================================
--- trunk/dports/sysutils/john/Portfile	(revision 1459)
+++ trunk/dports/sysutils/john/Portfile	(revision 1460)
@@ -5,6 +5,8 @@
 categories	net
 maintainers	jpm@opendarwin.org
-description	John the Ripper password cracker
-long_description	XXX
+description	Featureful Unix password cracker
+long_description	John the Ripper is a UNIX password cracker, \
+	currently available for UNIX (tested with Linux x86, FreeBSD x86, \
+	Solaris 2.x SPARC, OSF/1 Alpha), DOS, WinNT/Win95.
 platforms	darwin
 default_variants	+stable