Index: trunk/www/en/faq.php
===================================================================
--- trunk/www/en/faq.php	(revision 1464)
+++ trunk/www/en/faq.php	(revision 1465)
@@ -3,5 +3,5 @@
 //
 // File     : faq.php
-// Version  : $Id: faq.php,v 1.9 2002/12/08 16:13:57 landonf Exp $
+// Version  : $Id: faq.php,v 1.10 2002/12/20 11:31:09 kevin Exp $
 // Location : /projects/darwinports/faq.php
 //
@@ -131,5 +131,5 @@
 
 <p> See the <a
-href="http://www.opendarwin.org/projects/darwinports">darwinports</a>
+href="http://www.opendarwin.org/projects/darwinports/en/">darwinports</a>
 web page for information on checking the project out of CVS.  Once you
 get your hands on a copy, check out the top level README for
Index: trunk/www/en/index.php
===================================================================
--- trunk/www/en/index.php	(revision 1464)
+++ trunk/www/en/index.php	(revision 1465)
@@ -3,10 +3,10 @@
 //
 // File     : index.php
-// Version  : $Id: index.php,v 1.13 2002/11/10 21:50:16 michaelm Exp $
+// Version  : $Id: index.php,v 1.14 2002/12/20 11:31:09 kevin Exp $
 // Location : /projects/darwinports/index.php
 //
 
 	include_once("$DOCUMENT_ROOT/includes/od_lib.inc.php");
-	od_print_header("DarwinPorts", "en", "iso-8859-1", "", 0);
+	od_print_header("DarwinPorts", "en", "iso-8859-1", "", 0, "/projects/darwinports");
 ?>
 
@@ -25,5 +25,5 @@
 
 <p>
-The DarwinPorts project aims to provide a large amount of software ports that make it easy to install freely available software on a Darwin system.  For more information, please read the <a href="http://www.opendarwin.org/projects/darwinports/faq.php">FAQ</a>.  For a tutorial on writing a Portfile, please read the <a href="http://www.opendarwin.org/projects/darwinports/portfileHOWTO.php">Portfile HOWTO</a>.
+The DarwinPorts project aims to provide a large amount of software ports that make it easy to install freely available software on a Darwin system.  For more information, please read the <a href="http://www.opendarwin.org/projects/darwinports/en/faq.php">FAQ</a>.  For a tutorial on writing a Portfile, please read the <a href="http://www.opendarwin.org/projects/darwinports/en/portfileHOWTO.php">Portfile HOWTO</a>.
 </p>
 <p>
@@ -36,5 +36,5 @@
 A number of ports are done and the system is reasonably usable as
 a <i>BETA</i> for anyone who's interested.  
-You can search a list of <a href="http://www.opendarwin.org/projects/darwinports/ports.php">available software</a> here.
+You can search a list of <a href="http://www.opendarwin.org/projects/darwinports/en/ports.php">available software</a> here.
 </p>
 <p>
Index: trunk/www/en/portfileHOWTO.php
===================================================================
--- trunk/www/en/portfileHOWTO.php	(revision 1464)
+++ trunk/www/en/portfileHOWTO.php	(revision 1465)
@@ -3,5 +3,5 @@
 //
 // File     : portfileHOWTO.php
-// Version  : $Id: portfileHOWTO.php,v 1.9 2002/12/06 07:15:40 michaelm Exp $
+// Version  : $Id: portfileHOWTO.php,v 1.10 2002/12/20 11:31:09 kevin Exp $
 // Location : /projects/darwinports/portfileHOWTO.php
 //
@@ -31,5 +31,5 @@
 </h3>
 <p>
-In order to work with DarwinPorts, you'll need to download and install it on your system.  The DarwinPorts project <a href="http://opendarwin.org/projects/darwinports/">homepage</a> describes how to get and install it.
+In order to work with DarwinPorts, you'll need to download and install it on your system.  The DarwinPorts project <a href="http://opendarwin.org/projects/darwinports/en/">homepage</a> describes how to get and install it.
 </p>
 <p>
Index: trunk/www/fr/index.php
===================================================================
--- trunk/www/fr/index.php	(revision 1464)
+++ trunk/www/fr/index.php	(revision 1465)
@@ -3,10 +3,10 @@
 //
 // File     : index.php
-// Version  : $Id: index.php,v 1.1 2002/12/10 17:50:23 kevin Exp $
+// Version  : $Id: index.php,v 1.2 2002/12/20 11:31:09 kevin Exp $
 // Location : /fr/projects/darwinports/index.php
 //
 
 	include_once("$DOCUMENT_ROOT/includes/od_lib.inc.php");
-	od_print_header("DarwinPorts", "fr", "iso-8859-1", "", 0);
+	od_print_header("DarwinPorts", "fr", "iso-8859-1", "", 0, "/projects/darwinports");
 ?>
 
@@ -25,5 +25,5 @@
 
 <p>
-Le projet Darwinports a pour ambition de fournir un nombre important de logiciels portés, simples à installer et disponibles librement pour le système Darwin. Reportez-vous à la <a href="http://www.opendarwin.org/projects/darwinports/faq.php">FAQ</a> pour plus d'information s'il vous plaît. Pour un tutorial sur comment créer un Portfile, reportez-vous au <a href="http://www.opendarwin.org/projects/darwinports/portfileHOWTO.php">Portfile HOWTO</a>.  
+Le projet Darwinports a pour ambition de fournir un nombre important de logiciels portés, simples à installer et disponibles librement pour le système Darwin. Reportez-vous à la <a href="http://www.opendarwin.org/projects/darwinports/en/faq.php">FAQ</a> pour plus d'information s'il vous plaît. Pour un tutorial sur comment créer un Portfile, reportez-vous au <a href="http://www.opendarwin.org/projects/darwinports/en/portfileHOWTO.php">Portfile HOWTO</a>.  
 </p>
 <p>
@@ -34,5 +34,5 @@
 
 <p>
-Nombre de ports ont été fait et rend le système raisonnablement utilisable, comme une <i>BETA</i> pour quiconque souhaite s'y intéresser. Vous pouvez d'ores et déjà trouver une liste de <a href="http://www.opendarwin.org/projects/darwinports/ports.php">logiciels disponibles</a> ici.
+Nombre de ports ont été fait et rend le système raisonnablement utilisable, comme une <i>BETA</i> pour quiconque souhaite s'y intéresser. Vous pouvez d'ores et déjà trouver une liste de <a href="http://www.opendarwin.org/projects/darwinports/en/ports.php">logiciels disponibles</a> ici.
 </p>
 <p>
Index: trunk/www/index.php
===================================================================
--- trunk/www/index.php	(revision 1464)
+++ trunk/www/index.php	(revision 1465)
@@ -3,89 +3,9 @@
 //
 // File     : index.php
-// Version  : $Id: index.php,v 1.13 2002/11/10 21:50:16 michaelm Exp $
+// Version  : $Id: index.php,v 1.14 2002/12/20 11:31:09 kevin Exp $
 // Location : /projects/darwinports/index.php
 //
 
-	include_once("$DOCUMENT_ROOT/includes/od_lib.inc.php");
-	od_print_header("DarwinPorts", "en", "iso-8859-1", "", 0);
+	require_once("$DOCUMENT_ROOT/projects/darwinports/en/index.php");
+
 ?>
-
-<center>
-<table border="0" width="500" cellspacing="0" cellpadding="3">
-<tr><td>
-
-<h2>Projects :: DarwinPorts</h2>
-
-<p>
-<i>Project Leads: </i>
-<a href="mailto:landonf@opendarwin.org">Landon Fuller</a>, 
-<a href="mailto:jkh@opendarwin.org">Jordan Hubbard</a>,
-<a href="mailto:kevin@opendarwin.org">Kevin Van Vechten</a>
-</p>
-
-<p>
-The DarwinPorts project aims to provide a large amount of software ports that make it easy to install freely available software on a Darwin system.  For more information, please read the <a href="http://www.opendarwin.org/projects/darwinports/faq.php">FAQ</a>.  For a tutorial on writing a Portfile, please read the <a href="http://www.opendarwin.org/projects/darwinports/portfileHOWTO.php">Portfile HOWTO</a>.
-</p>
-<p>
-The <a href="http://darwinports.gene-hacker.net/docs/guide/">DarwinPorts User Guide</a> is an excellent reference on DarwinPorts syntax and concepts.  (Note it is a work in progress, so please feel free to make suggestions and report bugs in the doc component of the DarwinPorts <a href="http://www.opendarwin.org/bugzilla/">Bugzilla</a> product.)
-</p>
-
-<p><strong>Project Status</strong></p>
-
-<p>
-A number of ports are done and the system is reasonably usable as
-a <i>BETA</i> for anyone who's interested.  
-You can search a list of <a href="http://www.opendarwin.org/projects/darwinports/ports.php">available software</a> here.
-</p>
-<p>
-Bug reports and feature requests should be submitted to <a href="http://www.opendarwin.org/bugzilla/">Bugzilla</a>.
-</p>
-
-<p><strong>Getting the project from CVS</strong></p>
-
-<p>
-Use the following commands to get the project from the OpenDarwin CVS server:
-</p>
-
-<p>
-<pre>
-cvs -d :pserver:anonymous@anoncvs.opendarwin.org:/Volumes/src/cvs/od login
-cvs -d :pserver:anonymous@anoncvs.opendarwin.org:/Volumes/src/cvs/od co -P darwinports
-</pre>
-
-When the server asks you for a password you can simply hit return; the password is empty.
-</p>
-
-<p><strong>Project mailing lists and IRC channels</strong></p>
-
-<p>The <a
-href="http://www.opendarwin.org/mailman/listinfo/darwinports">darwinports
-mailing list</a> is open to all and is where most architectural and
-feature discussions are held.  Those wishing to see the cvs commit
-logs which detail the change-by-change progress of the project can
-also subscribe to the <a
-href="http://www.opendarwin.org/mailman/listinfo/cvs-darwinports-all">cvs-darwinports-all</a>
-mailing list.</p>
-
-<p>For more real-time discussion, the #opendarwin channel on the <a
-href="http://freenode.net/">open projects network</a> is generally
-where we hang out.</p>
-
-<p><strong>Joining the project </strong></p>
-
-<p>
-We are looking for people who would like to help to make this project a success. There are still many parts of the project that need work, including: documentation, making ports, maintaining ports and testing.
-</p>
-
-<p>
-All contributions are very much welcomed! If you are interested, then either send an e-mail to one of the project leads asking what needs to be done or simply submit an application to join the project with <a href="/en/joinproject.php">this form</a>.  Thanks!
-</p>
-
-</td></tr>
-</table>
-</center>
-
-
-<? 
-	od_print_footer("en"); 
-?>