Index: trunk/dports/lang/ruby/Portfile
===================================================================
--- trunk/dports/lang/ruby/Portfile	(revision 1535)
+++ trunk/dports/lang/ruby/Portfile	(revision 1536)
@@ -55,3 +55,3 @@
 		    lib/ruby/${rbver}/tsort.rb }
 
-#include		contents
+include		contents
Index: trunk/dports/lang/ruby/contents
===================================================================
--- trunk/dports/lang/ruby/contents	(revision 1536)
+++ trunk/dports/lang/ruby/contents	(revision 1536)
@@ -0,0 +1,154 @@
+set rbmaj	[exec echo ${version} | cut -d \. -f 1]
+set rbmin	[exec echo ${version} | cut -d \. -f 2]
+set rbver	${rbmaj}.${rbmin}
+set platdir	${os_arch}-${os.platform}${os.version}
+
+contents	bin/irb \
+		bin/ruby \
+		lib/ruby/${rbver}/base64.rb \
+		lib/ruby/${rbver}/cgi/session.rb \
+		lib/ruby/${rbver}/cgi-lib.rb \
+		lib/ruby/${rbver}/cgi.rb \
+		lib/ruby/${rbver}/complex.rb \
+		lib/ruby/${rbver}/date.rb \
+		lib/ruby/${rbver}/date2.rb \
+		lib/ruby/${rbver}/debug.rb \
+		lib/ruby/${rbver}/delegate.rb \
+		lib/ruby/${rbver}/e2mmap.rb \
+		lib/ruby/${rbver}/English.rb \
+		lib/ruby/${rbver}/Env.rb \
+		lib/ruby/${rbver}/eregex.rb \
+		lib/ruby/${rbver}/expect.rb \
+		lib/ruby/${rbver}/final.rb \
+		lib/ruby/${rbver}/finalize.rb \
+		lib/ruby/${rbver}/find.rb \
+		lib/ruby/${rbver}/forwardable.rb \
+		lib/ruby/${rbver}/ftools.rb \
+		lib/ruby/${rbver}/ftplib.rb \
+		lib/ruby/${rbver}/getoptlong.rb \
+		lib/ruby/${rbver}/getopts.rb \
+		lib/ruby/${rbver}/importenv.rb \
+		lib/ruby/${rbver}/irb/completion.rb \
+		lib/ruby/${rbver}/irb/context.rb \
+		lib/ruby/${rbver}/irb/extend-command.rb \
+		lib/ruby/${rbver}/irb/frame.rb \
+		lib/ruby/${rbver}/irb/help.rb \
+		lib/ruby/${rbver}/irb/init.rb \
+		lib/ruby/${rbver}/irb/input-method.rb \
+		lib/ruby/${rbver}/irb/lc/error.rb \
+		lib/ruby/${rbver}/irb/lc/help-message \
+		lib/ruby/${rbver}/irb/lc/ja/error.rb \
+		lib/ruby/${rbver}/irb/lc/ja/help-message \
+		lib/ruby/${rbver}/irb/loader.rb \
+		lib/ruby/${rbver}/irb/locale.rb \
+		lib/ruby/${rbver}/irb/multi-irb.rb \
+		lib/ruby/${rbver}/irb/ruby-lex.rb \
+		lib/ruby/${rbver}/irb/ruby-token.rb \
+		lib/ruby/${rbver}/irb/slex.rb \
+		lib/ruby/${rbver}/irb/version.rb \
+		lib/ruby/${rbver}/irb/workspace.rb \
+		lib/ruby/${rbver}/irb/ws-for-case-2.rb \
+		lib/ruby/${rbver}/irb/xmp.rb \
+		lib/ruby/${rbver}/irb.rb \
+		lib/ruby/${rbver}/jcode.rb \
+		lib/ruby/${rbver}/kconv.rb \
+		lib/ruby/${rbver}/mailread.rb \
+		lib/ruby/${rbver}/mathn.rb \
+		lib/ruby/${rbver}/matrix.rb \
+		lib/ruby/${rbver}/md5.rb \
+		lib/ruby/${rbver}/mkmf.rb \
+		lib/ruby/${rbver}/monitor.rb \
+		lib/ruby/${rbver}/mutex_m.rb \
+		lib/ruby/${rbver}/net/ftp.rb \
+		lib/ruby/${rbver}/net/http.rb \
+		lib/ruby/${rbver}/net/imap.rb \
+		lib/ruby/${rbver}/net/pop.rb \
+		lib/ruby/${rbver}/net/protocol.rb \
+		lib/ruby/${rbver}/net/smtp.rb \
+		lib/ruby/${rbver}/net/telnet.rb \
+		lib/ruby/${rbver}/observer.rb \
+		lib/ruby/${rbver}/open3.rb \
+		lib/ruby/${rbver}/ostruct.rb \
+		lib/ruby/${rbver}/parsearg.rb \
+		lib/ruby/${rbver}/parsedate.rb \
+		lib/ruby/${rbver}/ping.rb \
+		lib/ruby/${rbver}/${platdir}/config.h \
+		lib/ruby/${rbver}/${platdir}/curses.bundle \
+		lib/ruby/${rbver}/${platdir}/dbm.bundle \
+		lib/ruby/${rbver}/${platdir}/defines.h \
+		lib/ruby/${rbver}/${platdir}/digest/md5.bundle \
+		lib/ruby/${rbver}/${platdir}/digest/rmd160.bundle \
+		lib/ruby/${rbver}/${platdir}/digest/sha1.bundle \
+		lib/ruby/${rbver}/${platdir}/digest/sha2.bundle \
+		lib/ruby/${rbver}/${platdir}/digest.bundle \
+		lib/ruby/${rbver}/${platdir}/dln.h \
+		lib/ruby/${rbver}/${platdir}/env.h \
+		lib/ruby/${rbver}/${platdir}/etc.bundle \
+		lib/ruby/${rbver}/${platdir}/fcntl.bundle \
+		lib/ruby/${rbver}/${platdir}/intern.h \
+		lib/ruby/${rbver}/${platdir}/libruby.a \
+		lib/ruby/${rbver}/${platdir}/nkf.bundle \
+		lib/ruby/${rbver}/${platdir}/node.h \
+		lib/ruby/${rbver}/${platdir}/pty.bundle \
+		lib/ruby/${rbver}/${platdir}/rbconfig.rb \
+		lib/ruby/${rbver}/${platdir}/re.h \
+		lib/ruby/${rbver}/${platdir}/regex.h \
+		lib/ruby/${rbver}/${platdir}/ruby.h \
+		lib/ruby/${rbver}/${platdir}/rubyio.h \
+		lib/ruby/${rbver}/${platdir}/rubysig.h \
+		lib/ruby/${rbver}/${platdir}/sdbm.bundle \
+		lib/ruby/${rbver}/${platdir}/socket.bundle \
+		lib/ruby/${rbver}/${platdir}/st.h \
+		lib/ruby/${rbver}/${platdir}/syslog.bundle \
+		lib/ruby/${rbver}/${platdir}/tkutil.bundle \
+		lib/ruby/${rbver}/${platdir}/util.h \
+		lib/ruby/${rbver}/${platdir}/version.h \
+		lib/ruby/${rbver}/profile.rb \
+		lib/ruby/${rbver}/pstore.rb \
+		lib/ruby/${rbver}/rational.rb \
+		lib/ruby/${rbver}/readbytes.rb \
+		lib/ruby/${rbver}/resolv-replace.rb \
+		lib/ruby/${rbver}/resolv.rb \
+		lib/ruby/${rbver}/sha1.rb \
+		lib/ruby/${rbver}/shell/builtin-command.rb \
+		lib/ruby/${rbver}/shell/command-processor.rb \
+		lib/ruby/${rbver}/shell/error.rb \
+		lib/ruby/${rbver}/shell/filter.rb \
+		lib/ruby/${rbver}/shell/process-controller.rb \
+		lib/ruby/${rbver}/shell/system-command.rb \
+		lib/ruby/${rbver}/shell/version.rb \
+		lib/ruby/${rbver}/shell.rb \
+		lib/ruby/${rbver}/shellwords.rb \
+		lib/ruby/${rbver}/singleton.rb \
+		lib/ruby/${rbver}/sync.rb \
+		lib/ruby/${rbver}/telnet.rb \
+		lib/ruby/${rbver}/tempfile.rb \
+		lib/ruby/${rbver}/thread.rb \
+		lib/ruby/${rbver}/thwait.rb \
+		lib/ruby/${rbver}/time.rb \
+		lib/ruby/${rbver}/timeout.rb \
+		lib/ruby/${rbver}/tk.rb \
+		lib/ruby/${rbver}/tkafter.rb \
+		lib/ruby/${rbver}/tkbgerror.rb \
+		lib/ruby/${rbver}/tkcanvas.rb \
+		lib/ruby/${rbver}/tkclass.rb \
+		lib/ruby/${rbver}/tkdialog.rb \
+		lib/ruby/${rbver}/tkentry.rb \
+		lib/ruby/${rbver}/tkfont.rb \
+		lib/ruby/${rbver}/tkmenubar.rb \
+		lib/ruby/${rbver}/tkmngfocus.rb \
+		lib/ruby/${rbver}/tkpalette.rb \
+		lib/ruby/${rbver}/tkscrollbox.rb \
+		lib/ruby/${rbver}/tktext.rb \
+		lib/ruby/${rbver}/tkvirtevent.rb \
+		lib/ruby/${rbver}/tracer.rb \
+		lib/ruby/${rbver}/uri/common.rb \
+		lib/ruby/${rbver}/uri/ftp.rb \
+		lib/ruby/${rbver}/uri/generic.rb \
+		lib/ruby/${rbver}/uri/http.rb \
+		lib/ruby/${rbver}/uri/https.rb \
+		lib/ruby/${rbver}/uri/ldap.rb \
+		lib/ruby/${rbver}/uri/mailto.rb \
+		lib/ruby/${rbver}/uri.rb \
+		lib/ruby/${rbver}/weakref.rb \
+		man/man1/ruby.1