Index: trunk/dports/mail/mutt/Portfile
===================================================================
--- trunk/dports/mail/mutt/Portfile	(revision 1545)
+++ trunk/dports/mail/mutt/Portfile	(revision 1546)
@@ -4,4 +4,10 @@
 categories	mail
 description	Mongrel of Mail User Agents (part Elm, Pine, Mush, mh, etc)
+long_description	Mutt -- "The Mongrel of Mail User Agents" (part Elm, part Pine, part mh, \
+			part slrn, part everything else) is an interactive screen-oriented mailer \
+			program that supersedes Elm, Pine, mail and mailx. \
+			Features include color support, message threading, MIME support (including \
+			RFC1522 support for encoded headers), customizable key bindings, POP3, \
+			Delivery Status Notification (DSN) support, and PGP/MIME.
 platforms	darwin
 maintainers	eric@opendarwin.org
Index: trunk/dports/mail/pine/Portfile
===================================================================
--- trunk/dports/mail/pine/Portfile	(revision 1545)
+++ trunk/dports/mail/pine/Portfile	(revision 1546)
@@ -5,4 +5,10 @@
 maintainers        \[Fink\] Jeffrey Whitaker <jsw@cdc.noaa.gov> / \[DarwinPorts\] Sean Brandt <sean@fuzzymagic.com>
 description        Text based tool for reading, sending, and managing emails.
+long_description   Pine (Program for Internet News & Email) is a tool for reading, sending, \
+		   and managing electronic messages.  It was designed specifically with \
+		   novice computer users in mind, but can be tailored to accommodate the \
+		   needs of "power users" as well.  Pine uses Internet message protocols \
+		   (e.g. RFC-822, SMTP, MIME, IMAP, NNTP) and runs on Unix and PCs.
+
 master_sites       ftp://ftp.cac.washington.edu/pine/old/ ftp://ftp.cac.washington.edu/pine/ 
 distname           ${name}${portversion}
Index: trunk/dports/mail/postfix/Portfile
===================================================================
--- trunk/dports/mail/postfix/Portfile	(revision 1545)
+++ trunk/dports/mail/postfix/Portfile	(revision 1546)
@@ -5,4 +5,8 @@
 maintainers	eric@opendarwin.org
 description	Fast and robust mail transfer agent
+long_description	Postfix attempts to be fast, easy to administer, and secure, while at \
+			the same time being sendmail-compatible enough to not upset existing \
+			users. It also offers QMQP and VERP support to let Postfix act as delivery \
+			daemon for ezmlm-idx.
 platforms	darwin
 master_sites	ftp://ftp.porcupine.org/mirrors/postfix-release/official/ \
Index: trunk/dports/mail/ssmtp/Portfile
===================================================================
--- trunk/dports/mail/ssmtp/Portfile	(revision 1545)
+++ trunk/dports/mail/ssmtp/Portfile	(revision 1546)
@@ -6,4 +6,9 @@
 maintainers	eric@opendarwin.org
 description	Sendmail alternative for small routers (outgoing mail only)
+long_description	This is sSMTP, a program that replaces sendmail on workstations that \
+			should send their mail via the departmental mailhub from which they pick up \
+			their mail (via pop, imap, rsmtp, pop_fetch, NFS... or the like).  This \
+			program accepts mail and sends it to the mailhub, optionally replacing the \
+			domain in the From: line with a different one.
 platforms	darwin freebsd
 master_sites	http://ftp.debian.org/debian/pool/main/s/${portname}/ \
Index: trunk/dports/net/ethereal/Portfile
===================================================================
--- trunk/dports/net/ethereal/Portfile	(revision 1545)
+++ trunk/dports/net/ethereal/Portfile	(revision 1546)
@@ -5,4 +5,7 @@
 maintainers	eric@opendarwin.org
 description	Graphical network analyzer and capture tool
+long_description	A network analyzer that lets you capture and interactively browse the \
+			contents of Ethernet frames. Packet data can be read from a file, or \
+			live from a local network interface. 
 platforms	darwin
 use_bzip2	yes
Index: trunk/dports/net/fping/Portfile
===================================================================
--- trunk/dports/net/fping/Portfile	(revision 1545)
+++ trunk/dports/net/fping/Portfile	(revision 1546)
@@ -8,5 +8,12 @@
 checksums   	md5 d5e8be59e307cef76bc479e1684df705
 description	A scriptable ping program to check if multiple hosts are up
-
+long_description	fping is different from ping in that you can specify any number of \
+	 		hosts on the command line, or specify a file containing the lists \
+	 		of hosts to ping. Instead of trying one host until it timeouts or \
+	 		replies, fping will send out a ping packet and move on to the next \
+	 		host in a round-robin fashion. If a host replies, it is noted and \
+	 		removed from the list of hosts to check. If a host does not respond \
+	 		within a certain time limit and/or retry limit it will be considered \
+	 		unreachable. 
 contents	man/man8/fping.8 \
 		sbin/fping
Index: trunk/dports/net/gaim/Portfile
===================================================================
--- trunk/dports/net/gaim/Portfile	(revision 1545)
+++ trunk/dports/net/gaim/Portfile	(revision 1546)
@@ -5,4 +5,12 @@
 maintainers	eric@opendarwin.org
 description	AIM message service client with a gtk-based interface
+long_description	GAIM is an Open Source 'clone' of America OnLine's Instant Messenger \
+			client using the GTK+ toolkit. It features most of the functionality \
+			of the official AIM client while being much smaller and faster.  It \
+			features multiple groups, group chat, user information fetching and \
+			registration, time stamping, sound (for when you really do want to be \
+			interrupted), multiple away messages, and more. \
+			GAIM also has support for other IM protocols such as Yahoo!, MSN, ICQ, \
+			Jabber, Napster, IRC, and Zephyr via included plugins.
 master_sites	http://easynews.dl.sourceforge.net/sourceforge/gaim/
 checksums	md5 9cf8321e36256138bcf53dd44ac8ba0b
Index: trunk/dports/net/lftp/Portfile
===================================================================
--- trunk/dports/net/lftp/Portfile	(revision 1545)
+++ trunk/dports/net/lftp/Portfile	(revision 1546)
@@ -5,4 +5,12 @@
 maintainers		charlie@rubberduck.com
 description		Sophisticated file transfer program
+long_description	LFTP is a shell-like command line ftp client. \
+			It is reliable: can retry operations and does reget automatically. \
+			It can do several transfers simultaneously in background. \
+			You can start a transfer in background and continue browsing \
+			the ftp site or another one. This all is done in one process. \
+			Background jobs will be completed in nohup mode if you exit \
+			or close modem connection. Lftp has reput, mirror, reverse \
+			mirror among its features.
 platforms		darwin
 master_sites	http://www.ibiblio.org/pub/Linux/system/network/file-transfer/
Index: trunk/dports/net/netcat/Portfile
===================================================================
--- trunk/dports/net/netcat/Portfile	(revision 1545)
+++ trunk/dports/net/netcat/Portfile	(revision 1546)
@@ -5,4 +5,11 @@
 maintainers	eric@opendarwin.org
 description	Utility for managing network connections
+long_description	Netcat is a simple Unix utility which reads and writes data across \
+			network connections using TCP or UDP protocol.  It is designed to be a \
+			reliable "back-end" tool that can be used directly or easily driven by \
+			other programs and scripts.  At the same time it is a feature-rich \
+			network debugging and exploration tool, since it can create almost any \
+			kind of connection you would need and has several interesting built-in \
+			capabilities.
 platforms	darwin freebsd
 master_sites	ftp://coast.cs.purdue.edu/pub/tools/unix/netutils/netcat/ \
Index: trunk/dports/net/nmap/Portfile
===================================================================
--- trunk/dports/net/nmap/Portfile	(revision 1545)
+++ trunk/dports/net/nmap/Portfile	(revision 1546)
@@ -5,4 +5,14 @@
 maintainers	eric@opendarwin.org
 description	Port scanning utility for large networks
+long_description	Nmap is a utility for port scanning large networks, although it works \
+			fine for single hosts. The guiding philosophy for the creation of nmap \
+			was TMTOWTDI (There's More Than One Way To Do It). This is the Perl \
+			slogan, but it is equally applicable to scanners. Sometimes you need \
+			speed, other times you may need stealth. In some cases, bypassing \
+			firewalls may be required. Not to mention the fact that you may want \
+			to scan different protocols (UDP, TCP, ICMP, etc.). You just can't do \
+			all this with one scanning mode. And you don't want to have 10 \
+			different scanners around, all with different interfaces and \
+			capabilities.
 platforms	darwin freebsd
 master_sites	http://download.insecure.org/nmap/dist/ \
Index: trunk/dports/net/pureftpd/Portfile
===================================================================
--- trunk/dports/net/pureftpd/Portfile	(revision 1545)
+++ trunk/dports/net/pureftpd/Portfile	(revision 1546)
@@ -6,4 +6,16 @@
 maintainers	ports@syrius.org
 description	Pure-FTPd is a fast and standard-conformant FTP server, based upon Troll-FTPd.
+long_description	Pure-FTPd is a fast, production-quality, standard-conformant FTP server, \
+			based upon Troll-FTPd. \
+			Unlike other popular FTP servers, it's designed to be secure in default \
+			configuration, has no known buffer overflow, it is really trivial to set \
+			up and it is especially designed for modern kernels. \
+			Features include chroot()ed and/or virtual chroot()ed home directories, \
+			virtual domains, built-in 'ls', anti-warez system, bounded ports for \
+			passive downloads, FXP protocol, bandwidth throttling, ratios, \
+			LDAP / MySQL / PostgreSQL-based authentication, fortune files, Apache-like \
+			log files, fast standalone mode, text / HTML / XML real-time status report, \
+			virtual users, virtual quotas and more.
+
 master_sites	ftp://ftp.pureftpd.org/pub/pure-ftpd/releases/ \
 		ftp://sunsite.dk/disk1/pure-ftpd/releases/